## inn 1.7.2q

=== Makefile ===
##  $Revision: 1.48 $

RELEASE=1
PATCHLEVEL=7b1
VERSION=$(RELEASE).$(PATCHLEVEL)

#TARDIR=inn
#TARFILE=inn.tar
TARDIR=inn-$(VERSION)
TARFILE=inn-$(VERSION).tar
SQUASH=gzip

SHELL	= /bin/sh
MAKE	= make
DESTDIR	=

RCSCOFLAGS	= -u

##  The first two directories must be config and lib.
PROGS	= config lib frontends innd nnrpd backends expire doc
DIRS	= $(PROGS) site

##  We invoke an extra process and set this to be what to make.
WHAT_TO_MAKE	= all

##  Delete the first two lines and all lines that contain (Directory).
##  Print only the first field of all other lines.  This gets us just
##  the list of files from the MANIFEST.
SEDCOMMANDS = -e 1,2d -e '/(Directory)/d' -e 's/ .*//'
SEDDIRCMDS = -e '1,2d' -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(TARDIR)/;'

##  Major target -- install library, build everything else.
all:
	@for D in $(DIRS) ; do \
	    TARGET=$(WHAT_TO_MAKE); \
	    case $$D in lib) TARGET=install ;; esac ; \
	    echo "" ; \
	    echo "cd $$D ; $(MAKE) $(FLAGS) $$TARGET ; cd .." ; \
	    cd $$D; $(MAKE) $(FLAGS) DESTDIR=$(DESTDIR) $$TARGET || exit 1 ; cd .. ; \
	done

##  Install everything.
install:	directories
	$(MAKE) $(FLAGS) WHAT_TO_MAKE=install DESTDIR=$(DESTDIR) common
	@echo "" ; echo Do not forget to update your cron entries.
	@echo Also run makehistory if you have to.

##  Directories where files get put.
directories:
	chmod +x ./makedirs.sh
	DESTDIR=$(DESTDIR) ./makedirs.sh;

##  Other generic targets.
lint depend tags ctags profiled:
	@$(MAKE) $(FLAGS) WHAT_TO_MAKE=$@ common

etags:
	etags */*.c */*.h

clean:
	@$(MAKE) $(FLAGS) WHAT_TO_MAKE=$@ common
	rm -f *~ libinn.a libinn_p.a llib-linn.ln FILELIST

##  Common target.
common:
	@for D in $(DIRS) ; do \
	    echo "" ; \
	    echo "cd $$D ; $(MAKE) $(FLAGS) $(WHAT_TO_MAKE) ; cd .." ; \
	    cd $$D; $(MAKE) $(FLAGS) $(WHAT_TO_MAKE) || exit 1 ; cd .. ; \
	done

##  Software update -- install just the programs and documentation.
update:
	@for D in $(PROGS) ; do \
	    echo "" ; \
	    echo "cd $$D ; $(MAKE) $(FLAGS) install ; cd .." ; \
	    cd $$D; $(MAKE) $(FLAGS) install || exit 1 ; cd .. ; \
	done

##  Build subst (for configuration).
subst c sh quiet sedtest:
	cd config ; $(MAKE) $(FLAGS) $@ ; cd ..

##  Build installation document.
Install.ms:	Install.ms.1 Install.ms.2
	@rm -f Install.ms
	cat Install.ms.1 Install.ms.2 >Install.ms
	chmod 444 Install.ms

##  Additional cleanups.
clobber realclean:	clean
	@echo ""
	rm -f Install.ms inn*.tar.Z inn*.tar.gz Part0? MANIFEST.BAK
	rm -rf inews.* rnews.* nntplib.*
	rm -f lib/dbz.c include/dbz.h doc/dbz.3z
	rm -f tags */tags core */core a.out */a.out foo */foo
	rm -f CHANGES *~
	rm -fr $(TARDIR)
	@echo ""
	cd site ; make clobber ; cd ..

##  Update syslog.
syslogfix:
	rm -f include/syslog.h lib/syslog.c
	cp syslog/syslog.h include
	cp syslog/syslog.c lib
	cp syslog/syslog.3 doc
	-cd syslog; $(CC) -I../include -o syslogd syslogd.c ; cd ..
	@echo "Install syslogd and syslog.conf as appropriate"

##  Configure, compile, and lint.
world:		Install.ms
	cd config ; $(MAKE) $(FLAGS) subst quiet ; cd ..
	cd lib ; $(MAKE) $(FLAGS) lint ; cd ..
	cat lib/lint
	cd lib ; $(MAKE) $(FLAGS) install ; cd ..
	$(MAKE) $(FLAGS) lint

##  Make a distribution.
#shar:
#	makekit -m -k40 -s70k

release: include/patchlevel.h samples/version tar

include/patchlevel.h: Makefile
	-set -x ; [ -f $@ ] || co -u $@ ; \
	sed -e 's/^\(#define RELEASE\).*/\1 "$(RELEASE)"/' \
	    -e 's/^\(#define PATCHLEVEL\).*/\1 "$(PATCHLEVEL)"/' \
	    -e 's/^\(#define DATE\).*/\1 "'"`date '+%d-%b-%Y'`"'"/' \
		$@ > $@.new ;\
	if diff -u $@ $@.new > PATCH.$$$$ 2>&1;then \
		: ;\
	elif rcsdiff $@ > /dev/null 2>&1; then \
		rcsclean -u $@ ;\
		co -l $@ ;\
		patch < PATCH.$$$$ ;\
		ci -u -m'new release' $@ ;\
	else \
		ci -l -m'unknown snapshot' $@ ;\
		patch < PATCH.$$$$ ;\
		ci -u -m'new release' $@ ;\
	fi ;\
	rm -f PATCH.$$$$


samples/version: Makefile
	-set -x ; rcsclean -u $@ ;\
	co -l $@ ;\
	sed -e 's/^\(VERSION="\).*/\1INN $(RELEASE).$(PATCHLEVEL)"/' \
		$@ > $@.new ;\
	if cmp $@ $@.new > /dev/null 2>&1; then \
		rm -f $@.new ;\
		rcsdiff $@ > /dev/null 2>&1 && rcs -u $@ ;\
	else \
		mv $@.new $@ ;\
		ci -u -m'new version $(RELEASE).$(PATCHLEVEL)' $@ ;\
	fi


tardir: MANIFEST CHANGES
	rm -f inn*.tar.Z inn*.tar.gz
	rm -fr $(TARDIR)
	mkdir $(TARDIR)
	set -x ; for i in `sed $(SEDDIRCMDS) < MANIFEST`; do mkdir $$i;done

tar:	tardir
	for i in `sed $(SEDCOMMANDS) <MANIFEST`;do \
		[ -f $$i ] || co $$i ; cp $$i $(TARDIR)/$$i;done
	find $(TARDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(TARFILE) $(TARDIR)
	$(SQUASH) $(TARFILE)

FAQ: FORCE
	-cd FAQ && co -q RCS/*

rcsclean: FORCE
	-for i in . *;do\
		if [ -d $$i -a -d $$i/RCS ]; then\
			echo "RCS Cleaning $$i";\
			(cd $$i && rcsclean -q -u);\
		fi;\
	done

rcscoall: FORCE
	-for i in . *;do\
		if [ -d $$i -a -d $$i/RCS ]; then\
			echo "Checking out in $$i";\
			(cd $$i && co -q $(RCSCOFLAGS) RCS/*);\
		fi;\
	done

CHANGES: FORCE
	-for i in ChangeLog */ChangeLog;do\
		[ -f $$i -a "X$$i" != Xsite/ChangeLog ] && {\
			echo "==================================";\
			echo "From $$i" ; echo "" ;\
			cat $$i ; echo "" ; echo "" ;\
		}\
	done > CHANGES ; exit 0

##  Local convention; for xargs.
list:	FORCE
	@sed $(SEDCOMMANDS) <MANIFEST >FILELIST
FORCE:

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== backends/Makefile ===
##  $Revision: 1.28 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<DEFS	= @<DEFS>@>()=
DEFS	= -I../include
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@>()=
LINTFLAGS	= -b -h -z $(DEFS)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w

##  =()<NEWSBIN	= @<_PATH_NEWSBIN>@>()=
NEWSBIN	= /usr/news/bin
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news

##  =()<NNTPLIB	= @<NNTPLIB>@>()=
NNTPLIB	= 
##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln

SOURCES	=	archive.c batcher.c buffchan.c cvtbatch.c filechan.c \
		innxmit.c innxbatch.c nntpget.c overchan.c shlock.c \
		shrinkfile.c crosspost.c actsync.c

ALL	=	archive batcher buffchan cvtbatch filechan \
		innxmit innxbatch nntpget overchan shlock \
		shrinkfile crosspost actsync actsyncd actmerge \
		sendxbatches

all:		$(ALL)

install:	$D$(NEWSBIN)/archive $D$(NEWSBIN)/batcher \
		$D$(NEWSBIN)/buffchan $D$(NEWSBIN)/cvtbatch \
		$D$(NEWSBIN)/filechan $D$(NEWSBIN)/nntpget \
		$D$(NEWSBIN)/innxmit $D$(NEWSBIN)/innxbatch \
		$D$(NEWSBIN)/overchan \
		$D$(NEWSBIN)/shlock $D$(NEWSBIN)/shrinkfile \
		$D$(NEWSBIN)/crosspost \
		$D$(NEWSBIN)/sendxbatches \
		$D$(NEWSBIN)/actsync $D$(NEWSBIN)/actsyncd \
		$D$(NEWSBIN)/actmerge

clobber clean:
	rm -f *.o $(ALL)
	rm -f all install lint profiled

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c ../include/*.h

profiled:
	cp /dev/null profiled

archive:	$(P) archive.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ archive.o $(LIBNEWS) $(LIBS)

batcher:	$(P) batcher.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ batcher.o $(LIBNEWS) $(LIBS)

buffchan:	$(P) buffchan.o map.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ buffchan.o map.o $(LIBNEWS) $(LIBS)

cvtbatch:	$(P) cvtbatch.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ cvtbatch.o $(LIBNEWS) $(LIBS)

filechan:	$(P) filechan.o map.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ filechan.o map.o $(LIBNEWS) $(LIBS)

nntpget:	$(P) nntpget.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ nntpget.o $(LIBNEWS) $(LIBS)

innxmit:	$(P) innxmit.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ innxmit.o $(LIBNEWS) $(LIBS)

innxbatch:	$(P) innxbatch.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ innxbatch.o $(LIBNEWS) $(LIBS)

sendxbatches:	$(P) sendxbatches.sh
	rm -f $@
	cp $? $@
	chmod +x $@

overchan:	$(P) overchan.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ overchan.o $(LIBNEWS) $(LIBS)

crosspost:	$(P) crosspost.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ crosspost.o $(LIBNEWS) $(LIBS)

actsync:	$(P) actsync.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ actsync.o $(LIBNEWS) $(LIBS)

actsyncd:	$(P) actsyncd.sh
	rm -f $@
	cp $? $@
	chmod +x $@

actmerge: 	$(P) actmerge.sh
	rm -f $@
	cp $? $@
	chmod +x $@

shlock:		$(P) shlock.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ shlock.o $(LIBNEWS) $(LIBS)

shrinkfile:	$(P) shrinkfile.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ shrinkfile.o $(LIBNEWS) $(LIBS)


lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) actsync.c        $(LINTLIB) $(LINTFILTER)  >lint
	-lint $(LINTFLAGS) archive.c        $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) batcher.c        $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) buffchan.c map.c $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) cvtbatch.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) filechan.c map.c $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) nntpget.c        $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) innxmit.c        $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) innxbatch.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) overchan.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) crosspost.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) shlock.c         $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) shrinkfile.c     $(LINTLIB) $(LINTFILTER) >>lint

$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install)

##  Low-level install actions.
$D$(NEWSBIN)/archive:	archive
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/batcher:	batcher
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/buffchan:	buffchan
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/cvtbatch:	cvtbatch
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/filechan:	filechan
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/nntpget:	nntpget
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/innxmit:	innxmit
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/innxbatch:	innxbatch
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/sendxbatches:	sendxbatches
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/crosspost:	crosspost
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/overchan:	overchan
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/shlock:	shlock
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/shrinkfile:	shrinkfile
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/actsync:	actsync
	$(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD $? $@
$D$(NEWSBIN)/actsyncd:	actsyncd
	$(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD $? $@
$D$(NEWSBIN)/actmerge:	actmerge
	$(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD $? $@

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

actsync.o: ../include/clibrary.h
actsync.o: ../include/configdata.h
actsync.o: ../include/configdata.h
actsync.o: ../include/libinn.h
actsync.o: ../include/libinn.h
actsync.o: ../include/macros.h
actsync.o: ../include/macros.h
actsync.o: ../include/mydir.h
actsync.o: ../include/paths.h
actsync.o: ../include/qio.h
archive.o: ../include/clibrary.h
archive.o: ../include/configdata.h
archive.o: ../include/configdata.h
archive.o: ../include/libinn.h
archive.o: ../include/libinn.h
archive.o: ../include/macros.h
archive.o: ../include/paths.h
archive.o: ../include/qio.h
batcher.o: ../include/clibrary.h
batcher.o: ../include/configdata.h
batcher.o: ../include/configdata.h
batcher.o: ../include/libinn.h
batcher.o: ../include/libinn.h
batcher.o: ../include/logging.h
batcher.o: ../include/macros.h
batcher.o: ../include/paths.h
buffchan.o: ../include/clibrary.h
buffchan.o: ../include/configdata.h
buffchan.o: ../include/configdata.h
buffchan.o: ../include/libinn.h
buffchan.o: ../include/libinn.h
buffchan.o: ../include/macros.h
buffchan.o: ../include/paths.h
buffchan.o: ../include/qio.h
crosspost.o: ../include/clibrary.h
crosspost.o: ../include/configdata.h
crosspost.o: ../include/configdata.h
crosspost.o: ../include/libinn.h
crosspost.o: ../include/libinn.h
crosspost.o: ../include/macros.h
crosspost.o: ../include/paths.h
crosspost.o: ../include/qio.h
crosspost.o: ../include/qio.h
cvtbatch.o: ../include/clibrary.h
cvtbatch.o: ../include/configdata.h
cvtbatch.o: ../include/configdata.h
cvtbatch.o: ../include/libinn.h
cvtbatch.o: ../include/macros.h
cvtbatch.o: ../include/paths.h
cvtbatch.o: ../include/qio.h
cvtbatch.o: ../include/qio.h
filechan.o: ../include/clibrary.h
filechan.o: ../include/configdata.h
filechan.o: ../include/configdata.h
filechan.o: ../include/libinn.h
filechan.o: ../include/libinn.h
filechan.o: ../include/macros.h
filechan.o: ../include/paths.h
innxbatch.o: ../include/clibrary.h
innxbatch.o: ../include/configdata.h
innxbatch.o: ../include/configdata.h
innxbatch.o: ../include/libinn.h
innxbatch.o: ../include/logging.h
innxbatch.o: ../include/logging.h
innxbatch.o: ../include/macros.h
innxbatch.o: ../include/nntp.h
innxmit.o: ../include/clibrary.h
innxmit.o: ../include/configdata.h
innxmit.o: ../include/configdata.h
innxmit.o: ../include/dbz.h
innxmit.o: ../include/libinn.h
innxmit.o: ../include/logging.h
innxmit.o: ../include/macros.h
innxmit.o: ../include/nntp.h
innxmit.o: ../include/paths.h
innxmit.o: ../include/paths.h
innxmit.o: ../include/qio.h
innxmit.o: ../include/qio.h
nntpget.o: ../include/clibrary.h
nntpget.o: ../include/configdata.h
nntpget.o: ../include/configdata.h
nntpget.o: ../include/dbz.h
nntpget.o: ../include/libinn.h
nntpget.o: ../include/libinn.h
nntpget.o: ../include/macros.h
nntpget.o: ../include/macros.h
nntpget.o: ../include/nntp.h
nntpget.o: ../include/paths.h
overchan.o: ../include/clibrary.h
overchan.o: ../include/configdata.h
overchan.o: ../include/configdata.h
overchan.o: ../include/libinn.h
overchan.o: ../include/macros.h
overchan.o: ../include/macros.h
overchan.o: ../include/paths.h
overchan.o: ../include/qio.h
shlock.o: ../include/clibrary.h
shlock.o: ../include/configdata.h
shlock.o: ../include/configdata.h
shrinkfile.o: ../include/clibrary.h
shrinkfile.o: ../include/configdata.h
shrinkfile.o: ../include/configdata.h
shrinkfile.o: ../include/libinn.h
shrinkfile.o: ../include/libinn.h
shrinkfile.o: ../include/macros.h

=== config/Makefile ===
##  $Revision: 1.31 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
IFTRUE	= @$(SHELL) ../iftrue.sh

CONF	= config.data
FILE	= files.list
LIST	= `grep -v '^;' <$(FILE)`
BACKUP	= backup.tar

INTERPLIST = inncheck innlog.pl pgpverify scanspool innmail

##  Pick your method of source control:  RCS, SCCS, or NONE
SRCCTL		= NONE
CHECKOUT	= $(SRCCTL)-checkout
CHECKIN		= $(SRCCTL)-checkin

##  If you use the script version of subst, and your version of sed chokes
##  then get FSF sed and edit the next line as appropriate.
#SED	= -e /usr/gnu/bin/sed


all:                    quiet

# Yes, we really want to do nothing here!
install:

clobber clean:
	rm -f subst.tmp config.new subst substitutions
	rm -f all install lint profiled

quiet:
	@$(MAKE) 'FILE=$(FILE)' substitutions interpreters | grep -v unchanged

tags ctags:
	cp /dev/null tags

lint profiled:
	cp /dev/null $@

substitutions:		$(CHECKOUT) subst files.list $(CONF)
	-@rm -f ../*/substtmp.new ../*/substtmp.old
	@$(SHELL) ./checkconf.sh $(CONF)
	./subst $(SED) -f $(CONF) $(LIST)
	$(IFTRUE) '$(SRCCTL) != NONE' '$(MAKE) $(CHECKIN)'

interpreters:
	@echo "Fixing interpreter paths."
	perl fixinterps.pl -v -d ../samples $(INTERPLIST)

RCS-checkout:
	co -l $(LIST)
RCS-checkin:
	ci $(LIST)
SCCS-checkout:
	sccs get -e $(LIST)
SCCS-checkin:
	sccs delta $(LIST)
NONE-checkout:
	-chmod u+w $(LIST)
NONE-checkin:

backup:
	$(IFTRUE) '-f $(BACKUP)' 'echo $(BACKUP) exists! ; exit 1'
	tar cf $(BACKUP) $(LIST)

restore:
	$(IFTRUE) '! -f $(BACKUP)' 'echo No $(BACKUP)! ; exit 1'
	tar vxf $(BACKUP) $(LIST)

config.data:		config.dist
	$(IFTRUE) '-f config.new' 'echo config.new exists! ; exit 1'
	$(IFTRUE) '-f config.old' 'echo config.old exists! ; exit 1'
	$(IFTRUE) '! -f config.data' '$(MAKE) CLOBBER=YES SCRATCH'
	cat config.data config.dist >subst.tmp
	cp config.dist config.new
	./subst $(SED) -f subst.tmp config.new
	-@rm -f subst.tmp
	@echo "Update config.old from config.new!"
	$(IFTRUE) '-f config.data' \
	 'echo "Renaming config file to config.old"; mv config.data config.old'
	exit 1 ;
SCRATCH:
	$(IFTRUE) '-z $(CLOBBER)' 'echo No way! ; exit 1'
	@echo 'You do not have a config.data file.'
	@echo 'Setting one up using the default file.'
	@echo 'You must edit this file, then remove config.new and config.old.'
	@echo 'Then restart the make.'
	cat config.dist >config.data

subst:		subst.c subst.sh
	-$(MAKE) c || $(MAKE) sh || rm -f subst
	$(IFTRUE) '! -f subst' 'echo Cannot make subst ; exit 1'
c:
	@rm -f subst
	$(CC) -o subst subst.c
sh:
	@rm -f subst
	cp subst.sh subst
	chmod +x subst

sedtest:
	@echo 'This line should not be touched' >sedtest
	@echo '=()<Sed seems OK:  @<NEWSMASTER>@>()=' >>sedtest
	@echo 'ERROR:  do not use the SED version of subst' >>sedtest
	-$(SHELL) ./subst.sh $(SED) -f $(CONF) sedtest
	-@grep ERROR: sedtest
	$(IFTRUE) '! -s sedtest' 'echo Do not use sed ; rm sedtest ; exit 1'
	-@grep OK: sedtest
	rm -f sedtest


.PRECIOUS:	$(CONF) files.list

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== doc/Makefile ===
##  $Revision: 1.32 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun

##  =()<MANPAGESTYLE	= @<MANPAGESTYLE>@>()=
MANPAGESTYLE	= SOURCE

##  =()<MAN1	= @<MAN1>@>()=
MAN1	= /usr/news/man/man1
##  =()<MAN3	= @<MAN3>@>()=
MAN3	= /usr/news/man/man3
##  =()<MAN5	= @<MAN5>@>()=
MAN5	= /usr/news/man/man5
##  =()<MAN8	= @<MAN8>@>()=
MAN8	= /usr/news/man/man8
##  =()<MISSING_MAN = @<MISSING_MAN>@>()=
MISSING_MAN = 

##  Edit these if you need to.  For example, add "-b .OLD" to the MANFLAGS
##  variable (without quotes).
#OWNER	= -o root -g bin
MANFLAGS = $(OWNER) -m 0444

##  =()<DBZDIR	= @<DBZDIR>@>()=
DBZDIR	= ../dbz

SEC1	= convdate.1 getlist.1 grephistory.1 inews.1 innconfval.1 installit.1 \
	nntpget.1 rnews.1 shlock.1 shrinkfile.1 subst.1
SEC3	= $(MISSING_MAN) \
	clientlib.3 dbz.3 inndcomm.3 libinn.3 parsedate.3 qio.3 wildmat.3
SEC5	= active.5 control.ctl.5 distrib.pats.5 expire.ctl.5 history.5 \
	hosts.nntp.5 inn.conf.5 innwatch.ctl.5 moderators.5 newsfeeds.5 \
	newslog.5 nnrp.access.5 nntpsend.ctl.5 overview.fmt.5 passwd.nntp.5
SEC8	= actsync.8 archive.8 batcher.8 buffchan.8 crosspost.8 ctlinnd.8 \
	cvtbatch.8 expire.8 expireover.8 expirerm.8 fastrm.8 filechan.8 \
	inncheck.8 innd.8 innlog.pl.8 innstat.8 innwatch.8 innxbatch.8 \
	innxmit.8 makeactive.8 makehistory.8 news-recovery.8 news.daily.8 \
	newslog.8 newsrequeue.8 nnrpd.8 nntpsend.8 overchan.8 \
	prunehistory.8 scanlogs.8 tally.control.8 tally.unwanted.8 \
	writelog.8
SEC8	= archive.8 batcher.8 buffchan.8 ctlinnd.8 cvtbatch.8 expire.8 \
	expireover.8 fastrm.8 filechan.8 innd.8 innxmit.8 news-recovery.8 \
	news.daily.8 nnrpd.8 nntpsend.8 overchan.8 prunehistory.8 \
	crosspost.8 actsync.8 innwatch.8

INSTALLED_SEC1 =	$D$(MAN1)/convdate.1 $D$(MAN1)/getlist.1 \
			$D$(MAN1)/grephistory.1 $D$(MAN1)/inews.1 \
			$D$(MAN1)/innconfval.1 $D$(MAN1)/installit.1 \
			$D$(MAN1)/nntpget.1 $D$(MAN1)/rnews.1 \
			$D$(MAN1)/shlock.1 $D$(MAN1)/shrinkfile.1 \
			$D$(MAN1)/subst.1

INSTALLED_SEC3 =	$D$(MAN3)/clientlib.3 $D$(MAN3)/dbz.3 \
			$D$(MAN3)/inndcomm.3 $D$(MAN3)/libinn.3 \
			$D$(MAN3)/parsedate.3 $D$(MAN3)/qio.3 \
			$D$(MAN3)/wildmat.3

INSTALLED_SEC5 =	$D$(MAN5)/active.5 $D$(MAN5)/control.ctl.5 \
			$D$(MAN5)/distrib.pats.5 $D$(MAN5)/expire.ctl.5 \
			$D$(MAN5)/history.5 $D$(MAN5)/hosts.nntp.5 \
			$D$(MAN5)/inn.conf.5 $D$(MAN5)/innwatch.ctl.5 \
			$D$(MAN5)/moderators.5 $D$(MAN5)/newsfeeds.5 \
			$D$(MAN5)/newslog.5 $D$(MAN5)/nnrp.access.5 \
			$D$(MAN5)/nntpsend.ctl.5 $D$(MAN5)/overview.fmt.5 \
			$D$(MAN5)/passwd.nntp.5

INSTALLED_SEC8 =	$D$(MAN8)/actsync.8 $D$(MAN8)/archive.8 \
			$D$(MAN8)/batcher.8 $D$(MAN8)/buffchan.8 \
			$D$(MAN8)/crosspost.8 $D$(MAN8)/ctlinnd.8 \
			$D$(MAN8)/cvtbatch.8 $D$(MAN8)/expire.8 \
			$D$(MAN8)/expireover.8 $D$(MAN8)/expirerm.8 \
			$D$(MAN8)/fastrm.8 $D$(MAN8)/filechan.8 \
			$D$(MAN8)/inncheck.8 $D$(MAN8)/innd.8 \
			$D$(MAN8)/innlog.pl.8 $D$(MAN8)/innstat.8 \
			$D$(MAN8)/innwatch.8 $D$(MAN8)/innxbatch.8 \
			$D$(MAN8)/innxmit.8 $D$(MAN8)/makeactive.8 \
			$D$(MAN8)/makehistory.8 $D$(MAN8)/news-recovery.8 \
			$D$(MAN8)/news.daily.8 $D$(MAN8)/newslog.8 \
			$D$(MAN8)/newsrequeue.8 $D$(MAN8)/nnrpd.8 \
			$D$(MAN8)/nntpsend.8 $D$(MAN8)/overchan.8 \
			$D$(MAN8)/prunehistory.8 $D$(MAN8)/scanlogs.8 \
			$D$(MAN8)/tally.control.8 \
			$D$(MAN8)/tally.unwanted.8 $D$(MAN8)/writelog.8

ALL	= $(SEC1) $(SEC3) $(SEC5) $(SEC8)

all:		$(P) $(ALL)

install:	install-man1 install-man3 install-man5 install-man8

install-man1:   $(INSTALLED_SEC1)

install-man3:	$(INSTALLED_SEC3)

install-man5:	$(INSTALLED_SEC5)

install-man8:	$(INSTALLED_SEC8)

clobber clean:
	rm -f dbz.3
	rm -f all install lint profiled

tags ctags:
	cp /dev/null tags

##  Checknr dies on some systems.
lint:		$(P) $(ALL)
	@rm -f lint
	-checknr -c.BI.IR.IB.RI.BR.SS.UC    $(SEC1) $(LINTFILTER)  >lint
	-checknr -c.BI.IR.IB.RI.BR.SS.UC.BY $(SEC3) $(LINTFILTER) >>lint
	-checknr -c.BI.IR.IB.RI.BR.SS.UC    $(SEC5) $(LINTFILTER) >>lint
	-checknr -c.BI.IR.IB.RI.BR.SS.UC    $(SEC8) $(LINTFILTER) >>lint

profiled:
	cp /dev/null profiled

dbz.3:		$(DBZDIR)/dbz.3z
	@rm -f dbz.3
	cat $(DBZDIR)/dbz.3z >dbz.3

.PRECIOUS:	$(ALL)

##  Low-level install actions.
COPY	= $(SHELL) ./putman.sh $(MANPAGESTYLE) "$(MANFLAGS)"

$D$(MAN1)/convdate.1:		convdate.1	   ; $(COPY) $? $@
$D$(MAN1)/getlist.1:		getlist.1	   ; $(COPY) $? $@
$D$(MAN1)/grephistory.1:	grephistory.1	   ; $(COPY) $? $@
$D$(MAN1)/inews.1:		inews.1		   ; $(COPY) $? $@
$D$(MAN1)/innconfval.1:		innconfval.1	   ; $(COPY) $? $@
$D$(MAN1)/installit.1:		installit.1	   ; $(COPY) $? $@
$D$(MAN1)/nntpget.1:		nntpget.1	   ; $(COPY) $? $@
$D$(MAN1)/rnews.1:		rnews.1		   ; $(COPY) $? $@
$D$(MAN1)/shlock.1:		shlock.1	   ; $(COPY) $? $@
$D$(MAN1)/shrinkfile.1:		shrinkfile.1	   ; $(COPY) $? $@
$D$(MAN1)/subst.1:		subst.1		   ; $(COPY) $? $@

$D$(MAN3)/clientlib.3:		clientlib.3	   ; $(COPY) $? $@
$D$(MAN3)/dbz.3:		dbz.3		   ; $(COPY) $? $@
$D$(MAN3)/inndcomm.3:		inndcomm.3	   ; $(COPY) $? $@
$D$(MAN3)/libinn.3:		libinn.3	   ; $(COPY) $? $@
$D$(MAN3)/parsedate.3:		parsedate.3	   ; $(COPY) $? $@
$D$(MAN3)/qio.3:		qio.3		   ; $(COPY) $? $@
$D$(MAN3)/wildmat.3:		wildmat.3	   ; $(COPY) $? $@

$D$(MAN5)/active.5:		active.5	   ; $(COPY) $? $@
$D$(MAN5)/control.ctl.5:	control.ctl.5	   ; $(COPY) $? $@
$D$(MAN5)/distrib.pats.5:	distrib.pats.5 	   ; $(COPY) $? $@
$D$(MAN5)/expire.ctl.5:		expire.ctl.5	   ; $(COPY) $? $@
$D$(MAN5)/history.5:		history.5	   ; $(COPY) $? $@
$D$(MAN5)/hosts.nntp.5:		hosts.nntp.5	   ; $(COPY) $? $@
$D$(MAN5)/inn.conf.5:		inn.conf.5	   ; $(COPY) $? $@
$D$(MAN5)/innwatch.ctl.5:	innwatch.ctl.5 	   ; $(COPY) $? $@
$D$(MAN5)/moderators.5:		moderators.5	   ; $(COPY) $? $@
$D$(MAN5)/newsfeeds.5:		newsfeeds.5	   ; $(COPY) $? $@
$D$(MAN5)/newslog.5:		newslog.5	   ; $(COPY) $? $@
$D$(MAN5)/nnrp.access.5:	nnrp.access.5	   ; $(COPY) $? $@
$D$(MAN5)/nntpsend.ctl.5:	nntpsend.ctl.5 	   ; $(COPY) $? $@
$D$(MAN5)/overview.fmt.5:	overview.fmt.5 	   ; $(COPY) $? $@
$D$(MAN5)/passwd.nntp.5:	passwd.nntp.5	   ; $(COPY) $? $@

$D$(MAN8)/actsync.8:		actsync.8	   ; $(COPY) $? $@
$D$(MAN8)/archive.8:		archive.8          ; $(COPY) $? $@
$D$(MAN8)/batcher.8:		batcher.8          ; $(COPY) $? $@
$D$(MAN8)/buffchan.8:		buffchan.8         ; $(COPY) $? $@
$D$(MAN8)/crosspost.8:		crosspost.8        ; $(COPY) $? $@
$D$(MAN8)/ctlinnd.8:		ctlinnd.8          ; $(COPY) $? $@
$D$(MAN8)/cvtbatch.8:		cvtbatch.8         ; $(COPY) $? $@
$D$(MAN8)/expire.8:		expire.8           ; $(COPY) $? $@
$D$(MAN8)/expireover.8:		expireover.8       ; $(COPY) $? $@
$D$(MAN8)/expirerm.8:		expirerm.8         ; $(COPY) $? $@
$D$(MAN8)/fastrm.8:		fastrm.8           ; $(COPY) $? $@
$D$(MAN8)/filechan.8:		filechan.8         ; $(COPY) $? $@
$D$(MAN8)/inncheck.8:		inncheck.8         ; $(COPY) $? $@
$D$(MAN8)/innd.8:		innd.8             ; $(COPY) $? $@
$D$(MAN8)/innlog.pl.8:		innlog.pl.8        ; $(COPY) $? $@
$D$(MAN8)/innstat.8:		innstat.8          ; $(COPY) $? $@
$D$(MAN8)/innwatch.8:		innwatch.8         ; $(COPY) $? $@
$D$(MAN8)/innxbatch.8:		innxbatch.8        ; $(COPY) $? $@
$D$(MAN8)/innxmit.8:		innxmit.8          ; $(COPY) $? $@
$D$(MAN8)/makeactive.8:		makeactive.8       ; $(COPY) $? $@
$D$(MAN8)/makehistory.8:	makehistory.8      ; $(COPY) $? $@
$D$(MAN8)/news-recovery.8:	news-recovery.8    ; $(COPY) $? $@
$D$(MAN8)/news.daily.8:		news.daily.8       ; $(COPY) $? $@
$D$(MAN8)/newslog.8:		newslog.8          ; $(COPY) $? $@
$D$(MAN8)/newsrequeue.8:	newsrequeue.8      ; $(COPY) $? $@
$D$(MAN8)/nnrpd.8:		nnrpd.8            ; $(COPY) $? $@
$D$(MAN8)/nntpsend.8:		nntpsend.8         ; $(COPY) $? $@
$D$(MAN8)/overchan.8:		overchan.8         ; $(COPY) $? $@
$D$(MAN8)/prunehistory.8:	prunehistory.8     ; $(COPY) $? $@
$D$(MAN8)/scanlogs.8:		scanlogs.8         ; $(COPY) $? $@
$D$(MAN8)/tally.control.8:	tally.control.8    ; $(COPY) $? $@
$D$(MAN8)/tally.unwanted.8:	tally.unwanted.8   ; $(COPY) $? $@
$D$(MAN8)/writelog.8:		writelog.8         ; $(COPY) $? $@

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== expire/Makefile ===
##  $Revision: 1.20 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<DEFS	= @<DEFS>@>()=
DEFS	= -I../include
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@>()=
LINTFLAGS	= -b -h -z $(DEFS)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<NEWSBIN	= @<_PATH_NEWSBIN>@>()=
NEWSBIN	= /usr/news/bin
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news

##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln

SOURCES	=	convdate.c expire.c expireover.c fastrm.c grephistory.c \
		makeactive.c makehistory.c newsrequeue.c prunehistory.c
ALL	=	convdate expire expireover fastrm grephistory \
		makeactive makehistory newsrequeue prunehistory

all:		$(ALL)

install:	$D$(NEWSBIN)/convdate $D$(NEWSBIN)/expire \
		$D$(NEWSBIN)/expireover $D$(NEWSBIN)/fastrm \
		$D$(NEWSBIN)/grephistory $D$(NEWSBIN)/makeactive \
		$D$(NEWSBIN)/makehistory $D$(NEWSBIN)/newsrequeue \
		$D$(NEWSBIN)/prunehistory

clobber clean:
	rm -f *.o $(ALL)
	rm -f expirep expireoverp profiled
	rm -f all install lint

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c ../include/*.h

convdate:	$(P) convdate.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ convdate.o $(LIBNEWS) $(LIBS)

expire:		$(P) expire.o dbz.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ expire.o dbz.o $(LIBNEWS) $(LIBS)

expireover:	$(P) expireover.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ expireover.o $(LIBNEWS) $(LIBS)

fastrm:	$(P) fastrm.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ fastrm.o $(LIBNEWS) $(LIBS)

grephistory:	$(P) grephistory.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ grephistory.o $(LIBNEWS) $(LIBS)

makeactive:	$(P) makeactive.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ makeactive.o $(LIBNEWS) $(LIBS)

makehistory:	$(P) makehistory.o dbz.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ makehistory.o dbz.o $(LIBNEWS) $(LIBS)

newsrequeue:	$(P) newsrequeue.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ newsrequeue.o $(LIBNEWS) $(LIBS)

prunehistory:	$(P) prunehistory.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ prunehistory.o $(LIBNEWS) $(LIBS)

lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) convdate.c     $(LINTLIB) $(LINTFILTER)  >lint
	-lint $(LINTFLAGS) expire.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) expireover.c   $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) fastrm.c       $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) grephistory.c  $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) makeactive.c   $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) makehistory.c  $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) newsrequeue.c  $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) prunehistory.c $(LINTLIB) $(LINTFILTER) >>lint

# Build our own version of dbz.o for expire and makehistory, to avoid
# any -DMMAP in DBZCFLAGS - using mmap() for dbz in expire can slow it
# down really bad, and has no benefits as it pertains to the *new* .pag.
dbz.o:		../lib/dbz.c
	$(CC) $(CFLAGS) -c ../lib/dbz.c

../include/dbz.h:
	(cd ../lib ; $(MAKE) ../include/dbz.h)
$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install)

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:	expirep expireoverp
	date >$@

NEWFLAGS	= CFLAGS="$(CFLAGS) $(PROF)" LDFLAGS="$(LDFLAGS) $(PROF)"

expirep:	expire.c
	rm -f expire.o
	$(MAKE) expire $(NEWFLAGS) LIBNEWS=../libinn_p.a
	mv expire expirep
	rm -f expire.o

expireoverp:	expireover.c
	rm -f expireover.o
	$(MAKE) expireover $(NEWFLAGS) LIBNEWS=../libinn_p.a
	mv expireover expireoverp
	rm -f expireover.o

##
.SUFFIXES: .c .src
.c.src:
	#load $(CFLAGS) $<

##  Low-level install actions.
$D$(NEWSBIN)/convdate:		convdate
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/expire:		expire
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/expireover:		expireover
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/fastrm:		fastrm
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/grephistory:	grephistory
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/makeactive:	makeactive
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/makehistory:	makehistory
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/newsrequeue:	newsrequeue
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@
$D$(NEWSBIN)/prunehistory:	prunehistory
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

convdate.o: ../include/clibrary.h
convdate.o: ../include/configdata.h
convdate.o: ../include/configdata.h
convdate.o: ../include/libinn.h
convdate.o: ../include/macros.h
convdate.o: ../include/macros.h
expire.o: ../include/clibrary.h
expire.o: ../include/configdata.h
expire.o: ../include/configdata.h
expire.o: ../include/dbz.h
expire.o: ../include/inndcomm.h
expire.o: ../include/libinn.h
expire.o: ../include/libinn.h
expire.o: ../include/macros.h
expire.o: ../include/paths.h
expire.o: ../include/qio.h
expire.o: ../include/qio.h
expireover.o: ../include/clibrary.h
expireover.o: ../include/configdata.h
expireover.o: ../include/configdata.h
expireover.o: ../include/libinn.h
expireover.o: ../include/macros.h
expireover.o: ../include/mydir.h
expireover.o: ../include/mydir.h
expireover.o: ../include/paths.h
expireover.o: ../include/paths.h
expireover.o: ../include/qio.h
fastrm.o: ../include/clibrary.h
fastrm.o: ../include/configdata.h
fastrm.o: ../include/configdata.h
fastrm.o: ../include/libinn.h
fastrm.o: ../include/macros.h
fastrm.o: ../include/macros.h
fastrm.o: ../include/mydir.h
grephistory.o: ../include/clibrary.h
grephistory.o: ../include/configdata.h
grephistory.o: ../include/configdata.h
grephistory.o: ../include/dbz.h
grephistory.o: ../include/libinn.h
grephistory.o: ../include/macros.h
grephistory.o: ../include/macros.h
grephistory.o: ../include/paths.h
grephistory.o: ../include/paths.h
makeactive.o: ../include/clibrary.h
makeactive.o: ../include/configdata.h
makeactive.o: ../include/configdata.h
makeactive.o: ../include/libinn.h
makeactive.o: ../include/macros.h
makeactive.o: ../include/macros.h
makeactive.o: ../include/mydir.h
makeactive.o: ../include/paths.h
makeactive.o: ../include/paths.h
makehistory.o: ../include/clibrary.h
makehistory.o: ../include/configdata.h
makehistory.o: ../include/configdata.h
makehistory.o: ../include/dbz.h
makehistory.o: ../include/dbz.h
makehistory.o: ../include/inndcomm.h
makehistory.o: ../include/libinn.h
makehistory.o: ../include/macros.h
makehistory.o: ../include/mydir.h
makehistory.o: ../include/mydir.h
makehistory.o: ../include/paths.h
makehistory.o: ../include/paths.h
makehistory.o: ../include/qio.h
newsrequeue.o: ../include/clibrary.h
newsrequeue.o: ../include/configdata.h
newsrequeue.o: ../include/configdata.h
newsrequeue.o: ../include/dbz.h
newsrequeue.o: ../include/libinn.h
newsrequeue.o: ../include/macros.h
newsrequeue.o: ../include/paths.h
newsrequeue.o: ../include/paths.h
newsrequeue.o: ../include/qio.h
newsrequeue.o: ../include/qio.h
prunehistory.o: ../include/clibrary.h
prunehistory.o: ../include/configdata.h
prunehistory.o: ../include/configdata.h
prunehistory.o: ../include/dbz.h
prunehistory.o: ../include/libinn.h
prunehistory.o: ../include/macros.h
prunehistory.o: ../include/macros.h
prunehistory.o: ../include/paths.h
prunehistory.o: ../include/paths.h

=== frontends/Makefile ===
##  $Revision: 1.27 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<DEFS	= @<DEFS>@>()=
DEFS	= -I../include
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@>()=
LINTFLAGS	= -b -h -z $(DEFS)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w

##  =()<NEWSBIN	=@<_PATH_NEWSBIN>@>()=
NEWSBIN	=/usr/news/bin
##  =()<INEWS	= @<_PATH_INEWS>@>()=
INEWS	= /usr/news/bin/inews
##  =()<RNEWS	= @<_PATH_RNEWS>@>()=
RNEWS	= /usr/news/bin/rnews
##  =()<RNEWSPROGS	= @<_PATH_RNEWSPROGS>@>()=
RNEWSPROGS	= /usr/news/bin/rnews.libexec
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news
## =()<ROWNER	= -O @<NEWSUSER>@ -G @<RNEWS_GROUP>@>()=
ROWNER	= -O news -G uucp

##  =()<NNTPLIB	= @<NNTPLIB>@>()=
NNTPLIB	= 
##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln

SOURCES	= ctlinnd.c inews.c rnews.c

ALL	= inews rnews ctlinnd getlist innconfval decode encode

all:		$(ALL)
	date >$@

install:	$(INEWS) $(RNEWS) \
		$(NEWSBIN)/ctlinnd $(NEWSBIN)/getlist $(NEWSBIN)/innconfval \
		$(RNEWSPROGS)/c7unbatch \
		$(RNEWSPROGS)/decode $(RNEWSPROGS)/encode

clobber clean:
	rm -f *.o $(ALL)
	rm -f all install lint profiled

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c ../include/*.h

inews:		$(P) inews.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ inews.o $(NNTPLIB) $(LIBNEWS) $(LIBS)
rnews:		$(P) rnews.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ rnews.o $(NNTPLIB) $(LIBNEWS) $(LIBS)
ctlinnd:	$(P) ctlinnd.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ ctlinnd.o $(LIBNEWS) $(LIBS)
getlist:	$(P) getlist.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ getlist.o $(LIBNEWS) $(LIBS)
innconfval:	$(P) innconfval.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ innconfval.o $(LIBNEWS) $(LIBS)
decode:		$(P) decode.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ decode.o $(LIBNEWS) $(LIBS)
encode:		$(P) encode.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ encode.o $(LIBNEWS) $(LIBS)

##  Not normally built.
feedone:		feedone.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ feedone.o $(LIBNEWS) $(LIBS)
sys2nf:		sys2nf.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ sys2nf.o $(LIBNEWS) $(LIBS)


lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) inews.c      $(LINTLIB) $(LINTFILTER)  >lint
	-lint $(LINTFLAGS) rnews.c      $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) ctlinnd.c    $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) innconfval.c $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) getlist.c    $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) decode.c     $(LINTLIB) $(LINTFILTER) >>lint
	-lint $(LINTFLAGS) encode.c     $(LINTLIB) $(LINTFILTER) >>lint

$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install)

profiled:
	cp /dev/null profiled

##
.SUFFIXES: .c .src
.c.src:
	#load $(CFLAGS) $<

##  Low-level install actions.
$(INEWS):		inews
	$(SHELL) ../installit.sh $(OWNER) -m 02555 -b .OLD $? $@
$(RNEWS):		rnews
	$(SHELL) ../installit.sh $(ROWNER) -m 04550 -b .OLD $? $@
$(NEWSBIN)/ctlinnd:	ctlinnd
	$(SHELL) ../installit.sh $(OWNER) -m  0550 -b .OLD $? $@
$(NEWSBIN)/getlist:	getlist
	$(SHELL) ../installit.sh $(OWNER) -m  0555 -b .OLD $? $@
$(NEWSBIN)/innconfval:	innconfval
	$(SHELL) ../installit.sh $(OWNER) -m  0555 -b .OLD $? $@
$(RNEWSPROGS)/c7unbatch:	c7unbatch.sh
	$(SHELL) ../installit.sh $(OWNER) -m  0555 -b .OLD $? $@
$(RNEWSPROGS)/decode:		decode
	$(SHELL) ../installit.sh $(OWNER) -m  0555 -b .OLD $? $@
$(RNEWSPROGS)/encode:		encode
	$(SHELL) ../installit.sh $(OWNER) -m  0555 -b .OLD $? $@

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

ctlinnd.o: ../include/clibrary.h
ctlinnd.o: ../include/configdata.h
ctlinnd.o: ../include/configdata.h
ctlinnd.o: ../include/inndcomm.h
ctlinnd.o: ../include/inndcomm.h
ctlinnd.o: ../include/libinn.h
ctlinnd.o: ../include/macros.h
ctlinnd.o: ../include/paths.h
inews.o: ../include/clibrary.h
inews.o: ../include/configdata.h
inews.o: ../include/configdata.h
inews.o: ../include/libinn.h
inews.o: ../include/macros.h
inews.o: ../include/nntp.h
inews.o: ../include/paths.h
inews.o: ../include/paths.h
rnews.o: ../include/clibrary.h
rnews.o: ../include/configdata.h
rnews.o: ../include/configdata.h
rnews.o: ../include/libinn.h
rnews.o: ../include/logging.h
rnews.o: ../include/macros.h
rnews.o: ../include/mydir.h
rnews.o: ../include/mydir.h
rnews.o: ../include/nntp.h
rnews.o: ../include/paths.h
rnews.o: ../include/paths.h

=== innd/Makefile ===
##  $Revision: 1.33 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<PERLLIB = @<PERL_LIB>@>()=
PERLLIB = 
##  =()<PERLINC = @<PERL_INC>@>()=
PERLINC = 
##  =()<TCLINC	= @<TCL_INC>@>()=
TCLINC	= 
##  =()<DEFS	= @<DEFS>@ $(PERLINC) $(TCLINC)>()=
DEFS	= -I../include $(PERLINC) $(TCLINC)
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@ $(PERLINC) $(TCLINC)>()=
LINTFLAGS	= -b -h -z $(DEFS) $(PERLINC) $(TCLINC)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<INND	= @<_PATH_INND>@>()=
INND	= /usr/news/bin/innd
##  =()<INNDSTART	= @<_PATH_INNDSTART>@>()=
INNDSTART	= /usr/news/bin/inndstart
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news
## =()<NEWSGROUP	= @<NEWSGROUP>@>()=
NEWSGROUP	= news

##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln
## =()<TCL_LIB	= @<TCL_LIB>@>()=
TCL_LIB	= 

SOURCES	= \
	art.c cc.c chan.c his.c icd.c innd.c lc.c nc.c newsfeeds.c ng.c \
	proc.c rc.c site.c tcl.c perl.c

OBJECTS	= \
	art.o cc.o chan.o his.o icd.o innd.o lc.o nc.o newsfeeds.o ng.o \
	proc.o rc.o site.o tcl.o perl.o

ALL	= innd inndstart

all:		$(ALL)

install:	$D$(INND) $D$(INNDSTART)

clobber clean:
	rm -f *.o $(ALL)
	rm -f inndp profiled
	rm -f all install lint

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c innd.h ../include/*.h

innd:		$(P) $(OBJECTS) $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBNEWS) $(TCL_LIB) $(PERLLIB) $(LIBS)

inndstart:	$(P) inndstart.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ inndstart.o $(LIBNEWS) $(LIBS)

lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) $(SOURCES)  $(LINTLIB) $(LINTFILTER)  >lint
	-lint $(LINTFLAGS) inndstart.c $(LINTLIB) $(LINTFILTER) >>lint

../include/dbz.h:
	(cd ../lib ; $(MAKE) ../include/dbz.h)
$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install)

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:	inndp
	date >$@

inndp:		$(SOURCES)
	rm -f $(OBJECTS)
	$(MAKE) innd CFLAGS="$(CFLAGS) $(PROF)" LIBNEWS=../libinn_p.a
	mv innd inndp
	rm -f $(OBJECTS)

##
ccenter:	$(SOURCES)
	#load $(CFLAGS) $(SOURCES) $(LIBNEWS)

##  Low-level install actions.
$D$(INND):	innd
	$(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD $? $@
$D$(INNDSTART):	inndstart
	$(SHELL) ../installit.sh -O root -G $(NEWSGROUP) -m 4550 -b .OLD $? $@
	@ME=`(whoami || /usr/ucb/whoami) 2> /dev/null` ;\
	if [ "X$$ME" = Xroot ]; then \
		echo $@ has been installed setuid root. ;\
	else\
		echo "" ; echo "===============================" ;\
		echo  "NOTE NOTE NOTE NOTE NOTE" ;\
		ls -l $@ ;\
		echo $@ needs to be installed setuid root ;\
		echo "" ; echo "" ;\
	fi

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES) ../include/dbz.h
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

art.o: ../include/clibrary.h
art.o: ../include/configdata.h
art.o: ../include/configdata.h
art.o: ../include/dbz.h
art.o: ../include/libinn.h
art.o: ../include/logging.h
art.o: ../include/macros.h
art.o: ../include/macros.h
art.o: ../include/nntp.h
art.o: ../include/paths.h
art.o: ../include/paths.h
art.o: art.h
art.o: innd.h
cc.o: ../include/clibrary.h
cc.o: ../include/configdata.h
cc.o: ../include/configdata.h
cc.o: ../include/inndcomm.h
cc.o: ../include/libinn.h
cc.o: ../include/logging.h
cc.o: ../include/macros.h
cc.o: ../include/macros.h
cc.o: ../include/nntp.h
cc.o: ../include/paths.h
cc.o: ../include/paths.h
cc.o: innd.h
chan.o: ../include/clibrary.h
chan.o: ../include/configdata.h
chan.o: ../include/configdata.h
chan.o: ../include/libinn.h
chan.o: ../include/libinn.h
chan.o: ../include/logging.h
chan.o: ../include/macros.h
chan.o: ../include/nntp.h
chan.o: ../include/nntp.h
chan.o: ../include/paths.h
chan.o: innd.h
his.o: ../include/clibrary.h
his.o: ../include/configdata.h
his.o: ../include/configdata.h
his.o: ../include/dbz.h
his.o: ../include/libinn.h
his.o: ../include/logging.h
his.o: ../include/macros.h
his.o: ../include/macros.h
his.o: ../include/nntp.h
his.o: ../include/paths.h
his.o: ../include/paths.h
his.o: innd.h
icd.o: ../include/clibrary.h
icd.o: ../include/configdata.h
icd.o: ../include/configdata.h
icd.o: ../include/libinn.h
icd.o: ../include/logging.h
icd.o: ../include/macros.h
icd.o: ../include/macros.h
icd.o: ../include/nntp.h
icd.o: ../include/paths.h
icd.o: ../include/paths.h
icd.o: innd.h
innd.o: ../include/clibrary.h
innd.o: ../include/configdata.h
innd.o: ../include/configdata.h
innd.o: ../include/libinn.h
innd.o: ../include/libinn.h
innd.o: ../include/logging.h
innd.o: ../include/macros.h
innd.o: ../include/nntp.h
innd.o: ../include/nntp.h
innd.o: ../include/paths.h
innd.o: innd.h
lc.o: ../include/clibrary.h
lc.o: ../include/configdata.h
lc.o: ../include/configdata.h
lc.o: ../include/libinn.h
lc.o: ../include/logging.h
lc.o: ../include/macros.h
lc.o: ../include/macros.h
lc.o: ../include/nntp.h
lc.o: ../include/paths.h
lc.o: ../include/paths.h
lc.o: innd.h
nc.o: ../include/clibrary.h
nc.o: ../include/configdata.h
nc.o: ../include/configdata.h
nc.o: ../include/dbz.h
nc.o: ../include/libinn.h
nc.o: ../include/logging.h
nc.o: ../include/macros.h
nc.o: ../include/macros.h
nc.o: ../include/nntp.h
nc.o: ../include/paths.h
nc.o: ../include/paths.h
nc.o: innd.h
newsfeeds.o: ../include/clibrary.h
newsfeeds.o: ../include/configdata.h
newsfeeds.o: ../include/configdata.h
newsfeeds.o: ../include/libinn.h
newsfeeds.o: ../include/libinn.h
newsfeeds.o: ../include/logging.h
newsfeeds.o: ../include/macros.h
newsfeeds.o: ../include/nntp.h
newsfeeds.o: ../include/nntp.h
newsfeeds.o: ../include/paths.h
newsfeeds.o: innd.h
ng.o: ../include/clibrary.h
ng.o: ../include/configdata.h
ng.o: ../include/configdata.h
ng.o: ../include/libinn.h
ng.o: ../include/logging.h
ng.o: ../include/macros.h
ng.o: ../include/macros.h
ng.o: ../include/mydir.h
ng.o: ../include/nntp.h
ng.o: ../include/paths.h
ng.o: ../include/paths.h
ng.o: innd.h
perl.o: ../include/clibrary.h
perl.o: ../include/configdata.h
perl.o: ../include/configdata.h
perl.o: ../include/libinn.h
perl.o: ../include/libinn.h
perl.o: ../include/logging.h
perl.o: ../include/macros.h
perl.o: ../include/nntp.h
perl.o: ../include/nntp.h
perl.o: ../include/paths.h
perl.o: art.h
perl.o: innd.h
proc.o: ../include/clibrary.h
proc.o: ../include/configdata.h
proc.o: ../include/configdata.h
proc.o: ../include/libinn.h
proc.o: ../include/libinn.h
proc.o: ../include/logging.h
proc.o: ../include/macros.h
proc.o: ../include/nntp.h
proc.o: ../include/nntp.h
proc.o: ../include/paths.h
proc.o: innd.h
rc.o: ../include/clibrary.h
rc.o: ../include/configdata.h
rc.o: ../include/configdata.h
rc.o: ../include/libinn.h
rc.o: ../include/logging.h
rc.o: ../include/macros.h
rc.o: ../include/macros.h
rc.o: ../include/nntp.h
rc.o: ../include/paths.h
rc.o: ../include/paths.h
rc.o: innd.h
site.o: ../include/clibrary.h
site.o: ../include/configdata.h
site.o: ../include/configdata.h
site.o: ../include/libinn.h
site.o: ../include/libinn.h
site.o: ../include/logging.h
site.o: ../include/macros.h
site.o: ../include/nntp.h
site.o: ../include/nntp.h
site.o: ../include/paths.h
site.o: innd.h
tcl.o: ../include/clibrary.h
tcl.o: ../include/configdata.h
tcl.o: ../include/configdata.h
tcl.o: ../include/libinn.h
tcl.o: ../include/logging.h
tcl.o: ../include/macros.h
tcl.o: ../include/macros.h
tcl.o: ../include/nntp.h
tcl.o: ../include/paths.h
tcl.o: ../include/paths.h
tcl.o: innd.h

=== lib/Makefile ===
##  $Revision: 1.37 $
SHELL	= /bin/sh
MAKE	= make
IFTRUE	= @$(SHELL) ../iftrue.sh
NOPATCH	= 'rm dbz.c ; echo Cannot apply patch ; exit 1'

##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<DEFS	= @<DEFS>@>()=
DEFS	= -I../include
##  =()<PERLINC = @<PERL_INC>@>()=
PERLINC = 
##  =()<CFLAGS	= @<CFLAGS>@ $(PERLINC)>()=
CFLAGS	= $(DEFS) -g $(PERLINC)
##  =()<DBZCFLAGS	= @<DBZCFLAGS>@>()=
DBZCFLAGS	= $(CFLAGS)
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTLIBSTYLE	= @<LINTLIBSTYLE>@>()=
LINTLIBSTYLE	= NONE
##  =()<LINTFLAGS	= @<LINTFLAGS>@ $(PERLINC)>()=
LINTFLAGS	= -b -h -z $(DEFS) $(PERLINC)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<YACC	= @<YACC>@>()=
YACC	= yacc
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<RANLIB	= @<RANLIB>@>()=
RANLIB	= ranlib

##  For OSx systems, get these from the ATT Universe libc.
##  See the rule for version.o, below.
OSXATTOBJ= version.o memchr.o memcmp.o memcpy.o memset.o strchr.o strrchr.o

##  =()<DBZDIR	= @<DBZDIR>@>()=
DBZDIR	= ../dbz
##  =()<MISSING_SRC = @<MISSING_SRC>@>()=
MISSING_SRC = 
##  =()<MISSING_OBJ = @<MISSING_OBJ>@>()=
MISSING_OBJ = 

SOURCES = $(MISSING_SRC) \
	checkart.c cleanfrom.c clientactive.c clientlib.c closeonexec.c \
	dbz.c defdist.c findheader.c genid.c getconfig.c getdtab.c \
	getfqdn.c getmodaddr.c gettime.c inndcomm.c innvers.c localopen.c \
	lockfile.c nonblocking.c parsedate.c perl.c qio.c radix32.c readin.c \
	remopen.c resource.c sendarticle.c sendpass.c tempname.c \
	waitnb.c wildmat.c \
	xfopena.c xmalloc.c xmemerr.c xrealloc.c xwrite.c xwritev.c
OBJECTS = $(MISSING_OBJ) \
	checkart.o cleanfrom.o clientactive.o clientlib.o closeonexec.o \
	dbz.o defdist.o findheader.o genid.o getconfig.o getdtab.o \
	getfqdn.o getmodaddr.o gettime.o inndcomm.o innvers.o localopen.o \
	lockfile.o nonblocking.o parsedate.o perl.o qio.o radix32.o readin.o \
	remopen.o resource.o sendarticle.o sendpass.o tempname.o \
	waitnb.o wildmat.o \
	xfopena.o xmalloc.o xmemerr.o xrealloc.o xwrite.o xwritev.o

all:			libinn.a

install:		../libinn.a ../llib-linn.ln

clobber clean:
	rm -f *.o libinn.a llib-linn.ln
	rm -f parsedate parsedate.c
	rm -f profiled libinn_p.a
	rm -f all install lint lint.all

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../include/*.h

libinn.a:		$(P) $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinn.a

llib-linn.ln:		lint
	-$(SHELL) ./makellib.sh $(LINTLIBSTYLE) "$(LINTFLAGS)" $(SOURCES)

lint:			$(P) $(OBJECTS)
	@rm -f lint
	-lint -u $(LINTFLAGS) $(SOURCES) $(LINTFILTER) >lint.all
	-grep -v yaccpar <lint.all >lint

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:		../libinn_p.a
	date >$@

../libinn_p.a:		$(SOURCES)
	rm -f $(OBJECTS)
	$(MAKE) libinn.a CFLAGS="$(CFLAGS) $(PROF)"
	mv libinn.a ../libinn_p.a
	$(RANLIB) ../libinn_p.a
	rm -f $(OBJECTS)

parsedate.c:		parsedate.y
	@echo Expect 6 shift/reduce conflicts
	$(YACC) parsedate.y
	@mv y.tab.c parsedate.c

parsedate:		$(P) parsedate.c gettime.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ -DTEST -DYYDEBUG parsedate.c gettime.o

##  These rules will only be triggered if syslog appears in the MISSING_xxx
##  macros above.
syslog.o:		syslog.c
syslog.c:		../syslog/syslog.c
	(cd .. ; $(MAKE) syslogfix )

## This rule will only be triggered if $(OSXATTOBJ) is in MISSING_OBJ.
version.o:
	@rm -f $(OSXATTOBJ)
	/.attbin/ar vx /usr/.attlib/libc.a $(OSXATTOBJ)

dbz.o:			dbz.c
	$(CC) $(DBZCFLAGS) -c dbz.c

../include/dbz.h:	$(DBZDIR)/dbz.h
	@rm -f ../include/dbz.h
	cp $(DBZDIR)/dbz.h ../include/dbz.h

dbz.c:			$(DBZDIR)/dbz.c
	cp $(DBZDIR)/dbz.c dbz.c

##  Only do this if you're building a release kit.
PATCH:			dbz.pch.intro
	rcs -l dbz.pch
	@rm -f dbz.pch
	cat dbz.pch.intro >dbz.pch
	@echo "Ignore diff's exit status."
	-diff -c $(DBZDIR)/dbz.c dbz.c >>dbz.pch
	ci -u dbz.pch

##
ccenter:	$(SOURCES)
	#load $(CFLAGS) $(SOURCES)

##  Low-level install actions.
../libinn.a:		libinn.a
	@rm -f $@
	cp libinn.a $@
	$(RANLIB) $@
../llib-linn.ln:	llib-linn.ln
	@rm -f $@
	cp llib-linn.ln $@

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES) ../include/dbz.h
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

checkart.o: ../include/clibrary.h
checkart.o: ../include/configdata.h
checkart.o: ../include/configdata.h
checkart.o: ../include/nntp.h
cleanfrom.o: ../include/clibrary.h
cleanfrom.o: ../include/configdata.h
cleanfrom.o: ../include/configdata.h
cleanfrom.o: ../include/macros.h
cleanfrom.o: ../include/macros.h
clientactive.o: ../include/clibrary.h
clientactive.o: ../include/configdata.h
clientactive.o: ../include/configdata.h
clientactive.o: ../include/libinn.h
clientactive.o: ../include/macros.h
clientactive.o: ../include/macros.h
clientactive.o: ../include/nntp.h
clientactive.o: ../include/paths.h
clientactive.o: ../include/paths.h
clientlib.o: ../include/clibrary.h
clientlib.o: ../include/configdata.h
clientlib.o: ../include/configdata.h
clientlib.o: ../include/libinn.h
clientlib.o: ../include/myserver.h
clientlib.o: ../include/nntp.h
clientlib.o: ../include/paths.h
clientlib.o: ../include/paths.h
closeonexec.o: ../include/clibrary.h
closeonexec.o: ../include/configdata.h
closeonexec.o: ../include/configdata.h
dbz.o: ../include/dbz.h
defdist.o: ../include/clibrary.h
defdist.o: ../include/configdata.h
defdist.o: ../include/configdata.h
defdist.o: ../include/libinn.h
defdist.o: ../include/macros.h
defdist.o: ../include/paths.h
defdist.o: ../include/paths.h
findheader.o: ../include/clibrary.h
findheader.o: ../include/configdata.h
findheader.o: ../include/configdata.h
findheader.o: ../include/libinn.h
findheader.o: ../include/libinn.h
findheader.o: ../include/macros.h
genid.o: ../include/clibrary.h
genid.o: ../include/configdata.h
genid.o: ../include/configdata.h
genid.o: ../include/libinn.h
getconfig.o: ../include/clibrary.h
getconfig.o: ../include/configdata.h
getconfig.o: ../include/configdata.h
getconfig.o: ../include/libinn.h
getconfig.o: ../include/libinn.h
getconfig.o: ../include/macros.h
getconfig.o: ../include/paths.h
getdtab.o: ../include/clibrary.h
getdtab.o: ../include/configdata.h
getdtab.o: ../include/configdata.h
getfqdn.o: ../include/clibrary.h
getfqdn.o: ../include/configdata.h
getfqdn.o: ../include/configdata.h
getfqdn.o: ../include/libinn.h
getfqdn.o: ../include/libinn.h
getfqdn.o: ../include/paths.h
getmodaddr.o: ../include/clibrary.h
getmodaddr.o: ../include/configdata.h
getmodaddr.o: ../include/configdata.h
getmodaddr.o: ../include/libinn.h
getmodaddr.o: ../include/macros.h
getmodaddr.o: ../include/nntp.h
getmodaddr.o: ../include/nntp.h
getmodaddr.o: ../include/paths.h
getmodaddr.o: ../include/paths.h
gettime.o: ../include/clibrary.h
gettime.o: ../include/configdata.h
gettime.o: ../include/configdata.h
gettime.o: ../include/libinn.h
inndcomm.o: ../include/clibrary.h
inndcomm.o: ../include/configdata.h
inndcomm.o: ../include/configdata.h
inndcomm.o: ../include/inndcomm.h
inndcomm.o: ../include/libinn.h
inndcomm.o: ../include/macros.h
inndcomm.o: ../include/macros.h
inndcomm.o: ../include/nntp.h
inndcomm.o: ../include/paths.h
inndcomm.o: ../include/paths.h
innvers.o: ../include/clibrary.h
innvers.o: ../include/configdata.h
innvers.o: ../include/configdata.h
innvers.o: ../include/patchlevel.h
innvers.o: ../include/patchlevel.h
localopen.o: ../include/clibrary.h
localopen.o: ../include/configdata.h
localopen.o: ../include/configdata.h
localopen.o: ../include/macros.h
localopen.o: ../include/nntp.h
localopen.o: ../include/nntp.h
localopen.o: ../include/paths.h
lockfile.o: ../include/clibrary.h
lockfile.o: ../include/configdata.h
lockfile.o: ../include/configdata.h
nonblocking.o: ../include/clibrary.h
nonblocking.o: ../include/configdata.h
nonblocking.o: ../include/configdata.h
parsedate.o: ../include/clibrary.h
parsedate.o: ../include/configdata.h
parsedate.o: ../include/configdata.h
parsedate.o: ../include/libinn.h
parsedate.o: ../include/libinn.h
parsedate.o: ../include/macros.h
perl.o: ../include/clibrary.h
perl.o: ../include/configdata.h
perl.o: ../include/configdata.h
perl.o: ../include/logging.h
qio.o: ../include/clibrary.h
qio.o: ../include/configdata.h
qio.o: ../include/configdata.h
qio.o: ../include/libinn.h
qio.o: ../include/macros.h
qio.o: ../include/qio.h
qio.o: ../include/qio.h
radix32.o: ../include/clibrary.h
radix32.o: ../include/configdata.h
radix32.o: ../include/configdata.h
readin.o: ../include/clibrary.h
readin.o: ../include/configdata.h
readin.o: ../include/configdata.h
readin.o: ../include/libinn.h
readin.o: ../include/macros.h
readin.o: ../include/macros.h
remopen.o: ../include/clibrary.h
remopen.o: ../include/configdata.h
remopen.o: ../include/configdata.h
remopen.o: ../include/libinn.h
remopen.o: ../include/nntp.h
remopen.o: ../include/paths.h
remopen.o: ../include/paths.h
resource.o: ../include/clibrary.h
resource.o: ../include/configdata.h
resource.o: ../include/configdata.h
resource.o: ../include/macros.h
sendarticle.o: ../include/clibrary.h
sendarticle.o: ../include/configdata.h
sendarticle.o: ../include/configdata.h
sendarticle.o: ../include/libinn.h
sendarticle.o: ../include/libinn.h
sendarticle.o: ../include/nntp.h
sendpass.o: ../include/clibrary.h
sendpass.o: ../include/configdata.h
sendpass.o: ../include/configdata.h
sendpass.o: ../include/libinn.h
sendpass.o: ../include/macros.h
sendpass.o: ../include/nntp.h
sendpass.o: ../include/paths.h
sendpass.o: ../include/paths.h
tempname.o: ../include/clibrary.h
tempname.o: ../include/configdata.h
tempname.o: ../include/configdata.h
waitnb.o: ../include/clibrary.h
waitnb.o: ../include/configdata.h
waitnb.o: ../include/configdata.h
wildmat.o: ../include/clibrary.h
wildmat.o: ../include/configdata.h
wildmat.o: ../include/configdata.h
xfopena.o: ../include/clibrary.h
xfopena.o: ../include/configdata.h
xfopena.o: ../include/configdata.h
xmalloc.o: ../include/clibrary.h
xmalloc.o: ../include/configdata.h
xmalloc.o: ../include/configdata.h
xmalloc.o: ../include/libinn.h
xmalloc.o: ../include/macros.h
xmalloc.o: ../include/macros.h
xmemerr.o: ../include/clibrary.h
xmemerr.o: ../include/configdata.h
xmemerr.o: ../include/configdata.h
xrealloc.o: ../include/clibrary.h
xrealloc.o: ../include/configdata.h
xrealloc.o: ../include/configdata.h
xrealloc.o: ../include/libinn.h
xrealloc.o: ../include/macros.h
xrealloc.o: ../include/macros.h
xwrite.o: ../include/clibrary.h
xwrite.o: ../include/configdata.h
xwrite.o: ../include/configdata.h
xwritev.o: ../include/clibrary.h
xwritev.o: ../include/configdata.h
xwritev.o: ../include/configdata.h

=== nnrpd/Makefile ===
##  $Revision: 1.22 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<PERLLIB = @<PERL_LIB>@>()=
PERLLIB = 
##  =()<PERLINC = @<PERL_INC>@>()=
PERLINC = 
##  =()<DEFS	= @<DEFS>@ $(PERLINC)>()=
DEFS	= -I../include $(PERLINC)
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@>()=
LINTFLAGS	= -b -h -z $(DEFS)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<NNRPD	= @<_PATH_NNRPD>@>()=
NNRPD	= /usr/news/bin/nnrpd
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news

##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln

SOURCES	= \
	article.c group.c commands.c misc.c newnews.c nnrpd.c \
	perl.c post.c loadave.c

OBJECTS	= \
	article.o group.o commands.o misc.o newnews.o nnrpd.o \
	perl.o post.o loadave.o

ALL	= nnrpd

all:		$(ALL)

install:	$D$(NNRPD)

##  Low-level install actions.
$D$(NNRPD):	nnrpd
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@

clobber clean:
	rm -f *.o $(ALL)
	rm -f nnrpd nnrpdp profiled
	rm -f all install lint

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c nnrpd.h ../include/*.h

nnrpd:		$(P) $(OBJECTS) $(LIBNEWS)
	@rm -f $@
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBNEWS) $(LIBS) $(PERLLIB)

lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) $(SOURCES) $(LINTLIB) $(LINTFILTER) >lint

../include/dbz.h:
	(cd ../lib ; $(MAKE) ../include/dbz.h)
$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install )

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:	nnrpdp
	date >$@

nnrpdp:		$(SOURCES)
	rm -f $(OBJECTS)
	$(MAKE) nnrpd CFLAGS="$(CFLAGS) $(PROF)" LIBNEWS=../libinn_p.a
	mv nnrpd nnrpdp
	rm -f $(OBJECTS)

ccenter:	$(SOURCES)
	#load $(CFLAGS) $(SOURCES) $(LIBNEWS)

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

article.o: ../include/clibrary.h
article.o: ../include/configdata.h
article.o: ../include/configdata.h
article.o: ../include/libinn.h
article.o: ../include/libinn.h
article.o: ../include/logging.h
article.o: ../include/macros.h
article.o: ../include/nntp.h
article.o: ../include/paths.h
article.o: ../include/paths.h
article.o: ../include/qio.h
article.o: nnrpd.h
commands.o: ../include/clibrary.h
commands.o: ../include/configdata.h
commands.o: ../include/configdata.h
commands.o: ../include/libinn.h
commands.o: ../include/libinn.h
commands.o: ../include/logging.h
commands.o: ../include/macros.h
commands.o: ../include/nntp.h
commands.o: ../include/paths.h
commands.o: ../include/paths.h
commands.o: ../include/qio.h
commands.o: nnrpd.h
group.o: ../include/clibrary.h
group.o: ../include/configdata.h
group.o: ../include/configdata.h
group.o: ../include/libinn.h
group.o: ../include/libinn.h
group.o: ../include/logging.h
group.o: ../include/macros.h
group.o: ../include/mydir.h
group.o: ../include/mydir.h
group.o: ../include/nntp.h
group.o: ../include/paths.h
group.o: ../include/paths.h
group.o: ../include/qio.h
group.o: nnrpd.h
loadave.o: ../include/clibrary.h
loadave.o: ../include/configdata.h
loadave.o: ../include/configdata.h
loadave.o: ../include/libinn.h
loadave.o: ../include/libinn.h
loadave.o: ../include/logging.h
loadave.o: ../include/macros.h
loadave.o: ../include/nntp.h
loadave.o: ../include/paths.h
loadave.o: ../include/paths.h
loadave.o: ../include/qio.h
loadave.o: nnrpd.h
misc.o: ../include/clibrary.h
misc.o: ../include/configdata.h
misc.o: ../include/configdata.h
misc.o: ../include/dbz.h
misc.o: ../include/dbz.h
misc.o: ../include/libinn.h
misc.o: ../include/libinn.h
misc.o: ../include/logging.h
misc.o: ../include/macros.h
misc.o: ../include/nntp.h
misc.o: ../include/paths.h
misc.o: ../include/paths.h
misc.o: ../include/qio.h
misc.o: nnrpd.h
newnews.o: ../include/clibrary.h
newnews.o: ../include/configdata.h
newnews.o: ../include/configdata.h
newnews.o: ../include/libinn.h
newnews.o: ../include/libinn.h
newnews.o: ../include/logging.h
newnews.o: ../include/macros.h
newnews.o: ../include/nntp.h
newnews.o: ../include/paths.h
newnews.o: ../include/paths.h
newnews.o: ../include/qio.h
newnews.o: nnrpd.h
nnrpd.o: ../include/clibrary.h
nnrpd.o: ../include/configdata.h
nnrpd.o: ../include/configdata.h
nnrpd.o: ../include/libinn.h
nnrpd.o: ../include/libinn.h
nnrpd.o: ../include/logging.h
nnrpd.o: ../include/macros.h
nnrpd.o: ../include/nntp.h
nnrpd.o: ../include/paths.h
nnrpd.o: ../include/paths.h
nnrpd.o: ../include/qio.h
nnrpd.o: nnrpd.h
perl.o: ../include/clibrary.h
perl.o: ../include/configdata.h
perl.o: ../include/configdata.h
perl.o: ../include/logging.h
perl.o: ../include/paths.h
perl.o: post.h
perl.o: post.h
post.o: ../include/clibrary.h
post.o: ../include/configdata.h
post.o: ../include/configdata.h
post.o: ../include/libinn.h
post.o: ../include/libinn.h
post.o: ../include/logging.h
post.o: ../include/macros.h
post.o: ../include/nntp.h
post.o: ../include/paths.h
post.o: ../include/paths.h
post.o: ../include/qio.h
post.o: nnrpd.h
post.o: post.h

=== site/Makefile ===
##  $Revision: 1.29 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  If you want to do ctlinnd pause/reload/go, uncomment these lines.
#PAUSE		= pause
#RELOAD_AND_GO	= reload go

# Added a default rule for ".csh" because Digital UNIX has a builtin
# rule which would overwite the innshellvars file.
.csh:

##  =()<CTLINND		= @<_PATH_NEWSBIN>@/ctlinnd>()=
CTLINND		= /usr/news/bin/ctlinnd
##  =()<PATH_CONFIG	= @<_PATH_CONFIG>@>()=
PATH_CONFIG	= /var/news/etc/inn.conf
##  =()<PATH_CONTROLCTL	= @<_PATH_CONTROLCTL>@>()=
PATH_CONTROLCTL	= /var/news/etc/control.ctl
##  =()<PATH_EXPIRECTL	= @<_PATH_EXPIRECTL>@>()=
PATH_EXPIRECTL	= /var/news/etc/expire.ctl
##  =()<PATH_INNDHOSTS	= @<_PATH_INNDHOSTS>@>()=
PATH_INNDHOSTS	= /var/news/etc/hosts.nntp
PATH_NOLIMIT = $(PATH_INNDHOSTS).nolimit
##  =()<PATH_MODERATORS	= @<_PATH_MODERATORS>@>()=
PATH_MODERATORS	= /var/news/etc/moderators
##  =()<PATH_DISTPATS	= @<_PATH_DISTPATS>@>()=
PATH_DISTPATS	= /var/news/etc/distrib.pats
##  =()<PATH_NEWSBOOT	= @<_PATH_NEWSBOOT>@>()=
PATH_NEWSBOOT	= /usr/news/bin/rc.news
##  =()<PATH_NEWSFEEDS	= @<_PATH_NEWSFEEDS>@>()=
PATH_NEWSFEEDS	= /var/news/etc/newsfeeds
##  =()<PATH_NNRPACCESS	= @<_PATH_NNRPACCESS>@>()=
PATH_NNRPACCESS	= /var/news/etc/nnrp.access
##  =()<PATH_SCHEMA	= @<_PATH_SCHEMA>@>()=
PATH_SCHEMA	= /var/news/etc/overview.fmt
##  =()<PATH_PERL_SHELLVARS	= @<_PATH_PERL_SHELLVARS>@>()=
PATH_PERL_SHELLVARS	= /var/news/etc/innshellvars.pl
##  =()<PATH_TCL_SHELLVARS	= @<_PATH_TCL_SHELLVARS>@>()=
PATH_TCL_SHELLVARS	= /var/news/etc/innshellvars.tcl
##  =()<PATH_CSH_SHELLVARS	= @<_PATH_CSH_SHELLVARS>@>()=
PATH_CSH_SHELLVARS	= /var/news/etc/innshellvars.csh
##  =()<PATH_SHELLVARS	= @<_PATH_SHELLVARS>@>()=
PATH_SHELLVARS	= /var/news/etc/innshellvars
##  =()<PATH_NNTPPASS	= @<_PATH_NNTPPASS>@>()=
PATH_NNTPPASS	= /var/news/etc/passwd.nntp
##  =()<PATH_PARSECTL	= @<_PATH_PARSECTL>@>()=
PATH_PARSECTL	= /var/news/etc/parsecontrol
##  =()<PATH_CTLWATCH	= @<_PATH_CTLWATCH>@>()=
PATH_CTLWATCH	= /var/news/etc/innwatch.ctl
##  =()<PATH_PERL_STARTUP_INND	= @<_PATH_PERL_STARTUP_INND>@>()=
PATH_PERL_STARTUP_INND	= /usr/news/bin/control/startup_innd.pl
##  =()<PATH_PERL_FILTER_INND	= @<_PATH_PERL_FILTER_INND>@>()=
PATH_PERL_FILTER_INND	= /usr/news/bin/control/filter_innd.pl
##  =()<PATH_PERL_FILTER_NNRPD	= @<_PATH_PERL_FILTER_NNRPD>@>()=
PATH_PERL_FILTER_NNRPD	= /usr/news/bin/control/filter_nnrpd.pl
##  =()<PATH_TCL_STARTUP	= @<_PATH_TCL_STARTUP>@>()=
PATH_TCL_STARTUP	= /usr/news/bin/control/startup.tcl
##  =()<PATH_TCL_FILTER	= @<_PATH_TCL_FILTER>@>()=
PATH_TCL_FILTER	= /usr/news/bin/control/filter.tcl
##  =()<PATH_ACTSYNC_IGN = @<_PATH_ACTSYNC_IGN>@>()=
PATH_ACTSYNC_IGN = /var/news/etc/actsync.ign
##  =()<PATH_ACTSYNC_CFG = @<_PATH_ACTSYNC_CFG>@>()=
PATH_ACTSYNC_CFG = /var/news/etc/actsync.cfg

##  =()<AWK	= @<_PATH_AWK>@>()=
AWK	= /usr/bin/awk
##  =()<CTLBIN	= @<_PATH_CONTROLPROGS>@>()=
CTLBIN	= /usr/news/bin/control
##  =()<NEWSLIB	= @<_PATH_NEWSLIB>@>()=
NEWSLIB	= /var/news/etc
##  =()<NEWSBIN	= @<_PATH_NEWSBIN>@>()=
NEWSBIN	= /usr/news/bin
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news

##  Order:  innd, control, expire, inews, sending, misc
MOST		= \
	rc.news overview.fmt \
	checkgroups default ihave \
	    newgroup rmgroup sendme \
	    sendsys senduuname version \
	    parsecontrol writelog docheckgroups \
	news.daily scanlogs expirerm \
	    tally.control tally.unwanted \
	nntpsend send-ihave \
	    send-nntp send-uucp sendbatch \
	inncheck innstat pgpverify innmail \
	    innwatch innlog.pl innshellvars innshellvars.pl innshellvars.csh \
	    innshellvars.tcl filter.tcl startup.tcl startup_innd.pl \
	    filter_innd.pl filter_nnrpd.pl \
	actsync.cfg actsync.ign scanspool

MOST_INSTALLED	= \
	$D$(PATH_NEWSBOOT) $D$(PATH_SCHEMA) \
	$D$(CTLBIN)/checkgroups $D$(CTLBIN)/default $D$(CTLBIN)/ihave \
	    $D$(CTLBIN)/newgroup $D$(CTLBIN)/rmgroup $D$(CTLBIN)/sendme \
	    $D$(CTLBIN)/sendsys $D$(CTLBIN)/senduuname $D$(CTLBIN)/version \
	    $D$(PATH_PARSECTL) $D$(NEWSBIN)/writelog $D$(CTLBIN)/docheckgroups \
	    $D$(NEWSBIN)/innmail \
	$D$(NEWSBIN)/news.daily $D$(NEWSBIN)/scanlogs $D$(NEWSBIN)/expirerm \
	    $D$(NEWSBIN)/tally.control $D$(NEWSBIN)/tally.unwanted \
	$D$(NEWSBIN)/nntpsend $D$(NEWSLIB)/send-ihave \
	    $D$(NEWSLIB)/send-nntp $D$(NEWSLIB)/send-uucp \
	    $D$(NEWSBIN)/sendbatch \
	$D$(NEWSBIN)/inncheck $D$(NEWSBIN)/innstat $D$(NEWSBIN)/pgpverify \
	    $D$(NEWSBIN)/innwatch \
	    $D$(NEWSLIB)/innlog.pl \
	    $D$(PATH_SHELLVARS) $D$(PATH_PERL_SHELLVARS) \
	    $D$(PATH_PERL_STARTUP_INND) $D$(PATH_PERL_FILTER_INND) \
	    $D$(PATH_PERL_FILTER_NNRPD) \
	    $D$(PATH_TCL_SHELLVARS) $D$(PATH_TCL_STARTUP) \
	    $D$(PATH_CSH_SHELLVARS) \
	    $D$(PATH_TCL_FILTER) $D$(NEWSBIN)/scanspool

##  Scripts from above, plus site-specific config files.
REST		= \
	newsfeeds \
	hosts.nntp hosts.nntp.nolimit nnrp.access passwd.nntp \
	inn.conf moderators \
	control.ctl expire.ctl nntpsend.ctl \
	innwatch.ctl distrib.pats actsync.cfg actsync.ign \
	sample.control

ALL		= $(MOST) $(REST)

REST_INSTALLED	= \
	$D$(PATH_NEWSFEEDS) \
	$D$(PATH_INNDHOSTS) $D$(PATH_NOLIMIT) \
	$D$(PATH_NNRPACCESS) $D$(PATH_NNTPPASS) \
	$D$(PATH_CONFIG) $D$(PATH_MODERATORS) \
	$D$(PATH_CONTROLCTL) $D$(PATH_EXPIRECTL) $D$(NEWSLIB)/nntpsend.ctl \
	$D$(PATH_CTLWATCH) $D$(PATH_DISTPATS) \
	$D$(PATH_ACTSYNC_CFG) $D$(PATH_ACTSYNC_IGN) \
	$D$(CTLBIN)/sample.control

ALL_INSTALLED	= $(MOST_INSTALLED) $(REST_INSTALLED)

##  Get new versions of everything from samples directory.
all:		$(P) $(ALL) config

##  Get only scripts, not per-host config files.
most:		$(MOST)

##  Show changes between files here and ones in samples.
diff:
	@$(MAKE) COPY=-diff all

##  Show changes between files here and installed versions.
diff-installed:
	@$(MAKE) COPY_RPRI=-diff COPY_RPUB=-diff COPY_XPRI=-diff COPY_XPUB=-diff $(ALL_INSTALLED)

##  Show what would be copied from samples directory.
what:
	@$(MAKE) -s 'COPY=@echo' $(ALL) | ${AWK} 'NF==2 { print $$2; }'

config:		$(ALL)
	$(SHELL) ./do-subst.sh $?
	date >config

##  Don't use parallel rules -- we want this to be viewed carefully.
install:	all $(PAUSE) install-config $(RELOAD_AND_GO)
reload-install:	all pause    install-config reload go
install-config:		update $(REST_INSTALLED)

##  Install scripts, not per-host config files.
update:		$(MOST_INSTALLED)
	date >update

##  Remove files that are unchanged from the release version.
clean:
	rm -f all install lint
	@-for I in $(ALL) ; do \
	    cmp -s $$I ../samples/$$I && echo rm -f $$I && rm -f $$I ; \
	done

clobber:	clean
	rm -f $(ALL) tags lint profiled

tags ctags:
	cp /dev/null tags

lint:
	cp /dev/null lint

profiled:
	cp /dev/null profiled

##  Commands to make private or public, read or executable files.
COPY_RPRI	= $(SHELL) ../installit.sh $(OWNER) -m 0440 -b .OLD
COPY_RPUB	= $(SHELL) ../installit.sh $(OWNER) -m 0444 -b .OLD
COPY_XPRI	= $(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD
COPY_XPUB	= $(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD

##  Order:  innd, control, expire, inews, sending, misc
$D$(PATH_INNDHOSTS):	hosts.nntp	; $(COPY_RPRI) $? $@
$D$(PATH_NOLIMIT):	hosts.nntp.nolimit ; $(COPY_RPRI) $? $@
$D$(PATH_NEWSFEEDS):	newsfeeds	; $(COPY_RPUB) $? $@
$D$(PATH_NNRPACCESS):	nnrp.access	; $(COPY_RPRI) $? $@
$D$(PATH_NEWSBOOT):	rc.news		; $(COPY_XPRI) $? $@
$D$(PATH_SCHEMA):	overview.fmt	; $(COPY_RPUB) $? $@
$D$(CTLBIN)/checkgroups: checkgroups	; $(COPY_XPRI) $? $@
$D$(CTLBIN)/default:	default		; $(COPY_XPRI) $? $@
$D$(CTLBIN)/ihave:	ihave		; $(COPY_XPRI) $? $@
$D$(CTLBIN)/newgroup:	newgroup	; $(COPY_XPRI) $? $@
$D$(CTLBIN)/rmgroup:	rmgroup		; $(COPY_XPRI) $? $@
$D$(CTLBIN)/sendme:	sendme		; $(COPY_XPRI) $? $@
$D$(CTLBIN)/sendsys:	sendsys		; $(COPY_XPRI) $? $@
$D$(CTLBIN)/senduuname:	senduuname	; $(COPY_XPRI) $? $@
$D$(CTLBIN)/version:	version		; $(COPY_XPRI) $? $@
$D$(PATH_CONTROLCTL):	control.ctl	; $(COPY_RPRI) $? $@
$D$(PATH_CTLWATCH):	innwatch.ctl	; $(COPY_RPRI) $? $@
$D$(PATH_PARSECTL):	parsecontrol	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/writelog:	writelog	; $(COPY_XPRI) $? $@
$D$(CTLBIN)/docheckgroups: docheckgroups ; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/news.daily: news.daily	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/scanlogs:	scanlogs	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/expirerm:	expirerm	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/tally.control: tally.control ; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/tally.unwanted: tally.unwanted ; $(COPY_XPRI) $? $@
$D$(PATH_EXPIRECTL):	expire.ctl	; $(COPY_RPRI) $? $@
$D$(PATH_CONFIG):	inn.conf	; $(COPY_RPUB) $? $@
$D$(PATH_MODERATORS):	moderators	; $(COPY_RPUB) $? $@
$D$(PATH_DISTPATS):	distrib.pats	; $(COPY_RPUB) $? $@
$D$(PATH_NNTPPASS):	passwd.nntp	; $(COPY_RPRI) $? $@
$D$(NEWSBIN)/nntpsend:	nntpsend	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/sendbatch:	sendbatch	; $(COPY_XPRI) $? $@
$D$(NEWSLIB)/nntpsend.ctl: nntpsend.ctl	; $(COPY_RPRI) $? $@
$D$(NEWSLIB)/send-ihave: send-ihave	; $(COPY_XPRI) $? $@
$D$(NEWSLIB)/send-nntp:	send-nntp	; $(COPY_XPRI) $? $@
$D$(NEWSLIB)/send-uucp:	send-uucp	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/inncheck:	inncheck	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/innstat:	innstat		; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/innmail:	innmail		; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/pgpverify:	pgpverify	; $(COPY_XPRI) $? $@
$D$(NEWSBIN)/innwatch:	innwatch	; $(COPY_XPRI) $? $@
$D$(PATH_SHELLVARS):	innshellvars	; $(COPY_RPRI) $? $@
$D$(PATH_PERL_SHELLVARS): innshellvars.pl ; $(COPY_RPRI) $? $@
$D$(PATH_TCL_SHELLVARS): innshellvars.tcl ; $(COPY_RPRI) $? $@
$D$(PATH_CSH_SHELLVARS): innshellvars.csh ; $(COPY_RPRI) $? $@
$D$(NEWSLIB)/innlog.pl: innlog.pl	; $(COPY_RPRI) $? $@
$D$(PATH_PERL_STARTUP_INND): startup_innd.pl ; $(COPY_RPRI) $? $@
$D$(PATH_PERL_FILTER_INND): filter_innd.pl ; $(COPY_RPRI) $? $@
$D$(PATH_PERL_FILTER_NNRPD): filter_nnrpd.pl ; $(COPY_RPRI) $? $@
$D$(PATH_TCL_STARTUP): startup.tcl	; $(COPY_RPRI) $? $@
$D$(PATH_TCL_FILTER): filter.tcl	; $(COPY_RPRI) $? $@
$D$(PATH_ACTSYNC_CFG): actsync.cfg	; $(COPY_RPRI) $? $@
$D$(PATH_ACTSYNC_IGN): actsync.ign	; $(COPY_RPRI) $? $@
$D$(NEWSBIN)/scanspool: scanspool	; $(COPY_XPRI) $? $@
$D$(CTLBIN)/sample.control: sample.control ; $(COPY_RPRI) $? $@


REASON	= 'Installing site config files from site/Makefile'
go pause:
	-${CTLINND} $@ $(REASON)
reload:
	-${CTLINND} reload all $(REASON)

##  Use this to just replace any changed files you might have made.  Only
##  do this after you've examined the output of "make -n"!
replace:
	$(MAKE) COPY=cp all

##  Get files from the samples directory.
COPY	= @$(SHELL) ./getsafe.sh
actsync.cfg:	../samples/actsync.cfg		; $(COPY) $? $@
actsync.ign:	../samples/actsync.ign		; $(COPY) $? $@
checkgroups:	../samples/checkgroups		; $(COPY) $? $@
control.ctl:	../samples/control.ctl		; $(COPY) $? $@
default:	../samples/default		; $(COPY) $? $@
docheckgroups:	../samples/docheckgroups	; $(COPY) $? $@
expire.ctl:	../samples/expire.ctl		; $(COPY) $? $@
filter.tcl:	../samples/filter.tcl		; $(COPY) $? $@
filter_innd.pl:	../samples/filter_innd.pl	; $(COPY) $? $@
filter_nnrpd.pl: ../samples/filter_nnrpd.pl	; $(COPY) $? $@
expirerm:	../samples/expirerm		; $(COPY) $? $@
hosts.nntp:	../samples/hosts.nntp		; $(COPY) $? $@
hosts.nntp.nolimit: ../samples/hosts.nntp.nolimit ; $(COPY) $? $@
ihave:		../samples/ihave		; $(COPY) $? $@
inn.conf:	../samples/inn.conf		; $(COPY) $? $@
inncheck:	../samples/inncheck		; $(COPY) $? $@
innlog.pl:	../samples/innlog.pl		; $(COPY) $? $@
innmail:	../samples/innmail		; $(COPY) $? $@
innstat:	../samples/innstat		; $(COPY) $? $@
innwatch:	../samples/innwatch		; $(COPY) $? $@
innwatch.ctl:	../samples/innwatch.ctl		; $(COPY) $? $@
innshellvars:	../samples/innshellvars		; $(COPY) $? $@
innshellvars.pl: ../samples/innshellvars.pl	; $(COPY) $? $@
innshellvars.tcl: ../samples/innshellvars.tcl	; $(COPY) $? $@
innshellvars.csh: ../samples/innshellvars.csh	; $(COPY) $? $@
moderators:	../samples/moderators		; $(COPY) $? $@
distrib.pats:	../samples/distrib.pats		; $(COPY) $? $@

=== debian/changelog ===
inn (1:1.7.2q-50) unstable; urgency=medium

  * Updated patch parsedate_gcc4 with a missing prototype.
    (Closes: #1065795)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Mar 2024 00:19:22 +0100

inn (1:1.7.2q-49) unstable; urgency=medium

  * Installed /etc/rsyslog.d/news.conf to provide the /var/log/news/news.*
    files, because rsyslog stopped providing these rules in 2016.
  * Updated inncheck accordingly to the actual permissions.
  * Restored hardening support, which was broken in version -47.

 -- Marco d'Itri <md@linux.it>  Fri, 05 Jan 2024 00:49:49 +0100

inn (1:1.7.2q-48) unstable; urgency=medium

  [ Niko Tyni ]
  * New patch fix_perl538: include the Perl headers before the INN ones
    because the definitions of the STRLEN macro conflict. (Closes: #1042017)

  [ Marco d'Itri ]
  * Added some systemd sandboxing.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Sep 2023 00:34:52 +0200

inn (1:1.7.2q-47) unstable; urgency=medium

  * New patch check_setuid: make failures of setuid(2) and getuid(2)
    always be fatal.
  * Package converted to source format 3.0 (quilt) and to the dh sequencer.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Dec 2022 23:38:39 +0100

inn (1:1.7.2q-46) unstable; urgency=medium

  * Suggest gnupg1 instead of gnupg.
  * Install pgpverify.8 reproducibly.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 20:18:43 +0100

inn (1:1.7.2q-45) unstable; urgency=medium

  * Fixed a lot of compiler warnings, which should solve the NNTP
    streaming feed corruption experienced on 64 bit platforms since
    1.7.2q-41+b1. (Closes: #784115)
  * Switched to libsystemd-dev. (Closes: #779745)
  * Rebuilt with current Perl. (Closes: #836788)
  * Enabled --diff-ignore for recent versions of dpkg-source.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 04:24:28 +0100

inn (1:1.7.2q-44.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from gregor herrmann fixing FTBFS with newer pod2man
    (Closes: #787450)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 20 Aug 2015 15:56:52 +0200

inn (1:1.7.2q-44) unstable; urgency=medium

  * inn.service: remove NoNewPrivileges=yes because it prevents innd
    from sending emails since postdrop is sgid.
  * inn.service: require network-online.target because innd will try to
    resolve the hostnames in hosts.nntp only once at startup.
  * prerm: stop the socket on removal.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Jul 2014 23:44:38 +0200

inn (1:1.7.2q-43) unstable; urgency=medium

  * Build-Depend on pkg-config.
  * Do not log with LOG_CRIT normal shutdowns. (Closes: #10240)
  * Mention pan instead of trn in the description. (Closes: #691248)
  * Prevent fclose(NULL) on dbminit() failure. (Closes: #715994)

 -- Marco d'Itri <md@linux.it>  Sun, 11 May 2014 02:46:08 +0200

inn (1:1.7.2q-42) unstable; urgency=medium

  * Added systemd unit files and implemented socket activation.
  * Switched from /var/run/ to /run/.
  * Stopped using $[ in innreport.
  * Updated control.ctl and moderators.

 -- Marco d'Itri <md@linux.it>  Sat, 10 May 2014 22:25:01 +0200

inn (1:1.7.2q-41) unstable; urgency=low

  * Replaced innmail, which uses obsolete Perl features, with mailx.
  * config.data.debian: added support for dpkg-buildflags.
  * New patch fix_perl514: stops using perl4's getopts.pl. (Closes: #670751)
  * New patch siteinfo_format: fixes a format error.
  * Added a xunbatch program.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 01:51:17 +0200

inn (1:1.7.2q-40) unstable; urgency=low

  * Stop using "sort +1n" in makehistory, because it is not supported
    anymore by the squeeze version of coreutils. (Closes: #612265)
  * Disable CHECK_INCLUDED_TEXT, we have perl filters to do this.
    (Closes: #573993)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Apr 2011 02:41:34 +0200

inn (1:1.7.2q-39) unstable; urgency=low

  * Updated patch fix_perl510: backported from 2.x the changesets 7937, 7939
    and 8421. Thanks to Julien ÉLIE. (Closes: #541130)
  * Link again with libpthread the binaries embedding perl because
    binutils-gold correctly requires it. (Closes: #554920)
  * Made the old shell control message handlers use bash. (Closes: #530104)
  * Updated control.ctl.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Dec 2009 02:48:13 +0100

inn (1:1.7.2q-38) unstable; urgency=medium

  * Backported fixes from 2.4:
    + New patch fix_ad_flag: honour the Ad newsfeeds flag.
    + Updated patch fix_perl510: use newSVpvn_share to create the article
      body SV much more efficiently.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2008 02:07:47 +0200

inn (1:1.7.2q-37) unstable; urgency=medium

  * Clean up /var/lib/news/ in the purge target instead of the remove target.
    (Closes: #493824)

 -- Marco d'Itri <md@linux.it>  Thu, 28 Aug 2008 04:08:44 +0200

inn (1:1.7.2q-36) unstable; urgency=low

  * Fixed the malformed poison+remember_trash patch which confused the
    new dpkg. (Closes: #485368)
  * Updated patch 1_perl_filter_patch: added more headers.
  * Updated patch fix_perl510 with fixes/cleanups from 2.4.5 (and the
    INN::syslog callback).

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jul 2008 02:29:46 +0200

inn (1:1.7.2q-35) unstable; urgency=high

  * Fixed a FTBFS Heisenbug. (Closes: #481867)

 -- Marco d'Itri <md@linux.it>  Tue, 20 May 2008 02:51:38 +0200

inn (1:1.7.2q-34) unstable; urgency=high

  * Packaging converted to quilt.
  * New patch fix_perl510: fixes segfaults with perl 5.10, hopefully
    without introducing new bugs. If you know about XS, please help!

 -- Marco d'Itri <md@linux.it>  Tue, 06 May 2008 12:56:04 +0200

inn (1:1.7.2debian-33) unstable; urgency=medium

  * Updated control.ctl.
  * Fixed the init script to create /var/run/innd/ instead of /var/run/news/.
  * New patch newsgroups_whitespace: ignore whitespace in Newsgroups headers
    instead of rejecting the article.
  * Sanitize the perl ccopts and ldopts to prevent linking nnrpd with -lm.
  * Updated patch man_sections: fix some ten years old syntax errors in


=== debian/control ===
Source: inn
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13),
 pkgconf, libsystemd-dev,
 bison, groff,
 libperl-dev
Standards-Version: 4.6.2.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/md/inn.git
Vcs-Browser: https://salsa.debian.org/md/inn

Package: inn
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, cron,
  default-mta | mail-transport-agent, bsd-mailx | mailx,
  time, perl, ${PERLAPI}
Suggests: gnupg1
Provides: news-transport-system, inews
Conflicts: inn2, inn2-inews, inn2-dev, inewsinn, news-transport-system
Replaces: inewsinn
Description: News transport system `InterNetNews' by the ISC and Rich Salz
 This is INN version 1.x, provided for smaller sites which do not need
 the complexity of INN 2.x.
 Large sites should use Debian's inn2 package instead.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users.  It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites.  Each article is kept for a period of time and then
 deleted (this is known as `expiry').
 .
 By default Debian's INN will install in a fairly simple `local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as pan.  The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again.  It also provides the posting interface for the user.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=/bin/bash -e

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

B := $(CURDIR)/build
D := $(CURDIR)/debian/inn

# get the debian revision number
include /usr/share/dpkg/pkg-info.mk
DREV := $(shell echo "$(DEB_VERSION)" | sed -e 's/^.*-\(.*\)$$/\1/')
ifeq ($(DREV),)
$(error bad package version)
endif

# the upstream source needs to be copied in the build dir
src_files = $(shell find . -maxdepth 1 \
	-not -name . -and -not -name debian -and -not -name .pc \
	-and -not -name extra -and -not -name build)

%:
	dh $@ --builddirectory=$B

override_dh_auto_configure:
	mkdir -p $B
	for dir in $(src_files); do cp -ldpR $$dir $B; done
	perl -pi -e 's|^(#define\s+LOCAL_STRING\s+")[^"]*"|$${1}Debian/$(DREV)"|' \
		$B/include/patchlevel.h
	sed -e "s@PERL_LDOPTS@`perl extra/perl-ldopts`@" \
	    -e "s@PERL_CCOPTS@`perl extra/perl-ccopts`@" \
	    -e "s@DEBIAN_CFLAGS@$(CFLAGS)@" \
	    -e "s@DEBIAN_CPPFLAGS@$(CPPFLAGS)@" \
	    -e "s@DEBIAN_LDFLAGS@$(LDFLAGS)@" \
	    < extra/config.data.debian > $B/config/config.data

execute_after_dh_auto_install:
	# Cat the Install docs together
	cat $B/Install.ms.[12] | nroff -ms > $B/Install.txt

	printf '#!/bin/sh\ngzip -d\n' > $D/usr/lib/news/rnews/gunbatch
	printf '#!/bin/sh\nxz -d\n'   > $D/usr/lib/news/rnews/xunbatch
	chmod +x $D/usr/lib/news/rnews/*unbatch

	pod2man --section=8 extra/send-uucp.pl \
		> $D/usr/share/man/man8/send-uucp.8

	# these scripts contain an unfixable bashism
	cd $D/usr/lib/news/control/ && \
	for file in *; do \
		perl -i -pe 's@^#! /bin/sh@#! /bin/bash@' $$file; \
	done

	# Fix up innshellvars* and other things
	perl -pi -e 's#/usr/ucb#/usr/sbin#' $D/usr/lib/news/innshellvars*

	rm -rf	$D/var/spool/news/* $D/run/ $D/tmp/ \
		$D/etc/news/scripts/*.tcl \
		$D/var/lib/news/innlog.pl \
		$D/usr/share/man/man8/innlog.pl.8.gz \
		$D/usr/lib/news/rnews/c7unbatch \
		$D/usr/lib/news/bin/innmail \
		$D/usr/lib/news/control/sample.control

	# Move some more stuff around.
	mv $D/var/lib/news/send-* $D/etc/news/scripts/
	mv $D/var/lib/news/nntpsend.ctl $D/etc/news/nntpsend.ctl
	cd $D/usr/share/man/man8 && mv nnrpd.8 in.nnrpd.8

execute_after_dh_install:
	mv $D/usr/lib/news/bin/gpgverify $D/usr/lib/news/bin/pgpverify
	chmod +x $D/usr/lib/news/bin/*

override_dh_installchangelogs:
	dh_installchangelogs $B/CHANGES

execute_after_dh_fixperms:
	cd $D/etc/news && \
		chown root:news passwd.nntp nnrp.access hosts.nntp && \
		chmod 640 passwd.nntp nnrp.access hosts.nntp
	chown root:news $D/usr/bin/[ri]news
	chmod 2755 $D/usr/bin/[ri]news
	chown root:news $D/usr/sbin/inndstart
	chmod 4754 $D/usr/sbin/inndstart
	chown -R news:news $D/etc/news/pgp/ $D/var/*/news/

override_dh_gencontrol:
	dh_gencontrol -u-VPERLAPI=$$(perl -MConfig -e 'print "perlapi-" . ($$Config{debian_abi} || $$Config{version})')
